﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Anritsu Power Sensor Get Series
INSTRUMENT:            Sub Anritsu Power Sensor Get Connector Type
INSTRUMENT:            Sub Anritsu Power Sensor Get Frequency Type
INSTRUMENT:            Sub Anritsu Power Sensor Get Frequency Range
INSTRUMENT:            Sub Anritsu Power Sensor Get Dynamic Range
DATE:                  2007-11-21 08:34:19
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       301
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MA2411
#        MA2421
#        MA2423
#        MA2424
#        MA2425
#        MA2442
#        MA2444
#        MA2445
#        MA2468
#        MA2469
#        MA2472
#        MA2473
#        MA2474
#        MA2475
#        MA2481
#        MA2482
#        MA2490
#        MA2491
#        SC6230
#        SC7400
#        SC7430
#        SC7570
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         POWER_SENSOR_SERIES          PSUBI("Series")
  1.002  JMPL         POWER_SENSOR_CON_TYPE        PSUBI("Connector Type")
  1.003  JMPL         POWER_SENSOR_FREQUENCY_TYPE  PSUBI("Frequency Type")
  1.004  JMPL         POWER_SENSOR_FREQUENCY_RANGE PSUBI("Frequency Range")
  1.005  JMPL         POWER_SENSOR_DYNAMIC_RANGE   PSUBI("Dynamic Range")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# =====  Sub Anritsu Power Sensor Get Series  ===============================

  2.001  LABEL        POWER_SENSOR_SERIES

  2.002  IF           FIND(@PS, "MA241", 1)
  2.003  MATH         @PS_Series = "MA241X"
  2.004  ELSEIF       FIND(@PS, "MA242", 1)
  2.005  MATH         @PS_Series = "MA242X"
  2.006  ELSEIF       FIND(@PS, "MA244", 1)
  2.007  MATH         @PS_Series = "MA244X"
  2.008  ELSEIF       FIND(@PS, "MA246", 1)
  2.009  MATH         @PS_Series = "MA246X"
  2.010  ELSEIF       FIND(@PS, "MA247", 1)
  2.011  MATH         @PS_Series = "MA247X"
  2.012  ELSEIF       FIND(@PS, "MA248", 1)
  2.013  MATH         @PS_Series = "MA248X"
  2.014  ELSEIF       FIND(@PS, "MA249", 1)
  2.015  MATH         @PS_Series = "MA249X"
  2.016  ELSEIF       FIND(@PS, "SC6230", 1)
  2.017  MATH         @PS_Series = "SC6230"
  2.018  ELSEIF       FIND(@PS, "SC7400", 1)
  2.019  MATH         @PS_Series = "SC7400"
  2.020  ELSEIF       FIND(@PS, "SC7430", 1)
  2.021  MATH         @PS_Series = "SC7430"
  2.022  ELSEIF       FIND(@PS, "SC7570", 1)
  2.023  MATH         @PS_Series = "SC7570"
  2.024  ELSE
  2.025  DISP         Unsupport power sensor: [V @PS]
  2.026  ENDIF

  2.027  END

  2.028  EVAL   Increment step number

# =====  Sub Anritsu Power Sensor Get Connector Type  =======================

  3.001  LABEL        POWER_SENSOR_CON_TYPE

  3.002  IF           FIND(@PS, "MA2411", 1)
  3.003  MATH         @PS_Con = "K"
  3.004  ELSEIF       FIND(@PS, "MA2421", 1)
  3.005  MATH         @PS_Con = "N"
  3.006  ELSEIF       FIND(@PS, "MA2422", 1)
  3.007  MATH         @PS_Con = "N"
  3.008  ELSEIF       FIND(@PS, "MA2423", 1)
  3.009  MATH         @PS_Con = "K"
  3.010  ELSEIF       FIND(@PS, "MA2424", 1)
  3.011  MATH         @PS_Con = "K"
  3.012  ELSEIF       FIND(@PS, "MA2425", 1)
  3.013  MATH         @PS_Con = "V"
  3.014  ELSEIF       FIND(@PS, "MA2442", 1)
  3.015  MATH         @PS_Con = "N"
  3.016  ELSEIF       FIND(@PS, "MA2444", 1)
  3.017  MATH         @PS_Con = "K"
  3.018  ELSEIF       FIND(@PS, "MA2445", 1)
  3.019  MATH         @PS_Con = "V"
  3.020  ELSEIF       FIND(@PS, "MA246", 1)
  3.021  MATH         @PS_Con = "N"
  3.022  ELSEIF       FIND(@PS, "MA2472", 1)
  3.023  MATH         @PS_Con = "N"
  3.024  ELSEIF       FIND(@PS, "MA2473", 1)
  3.025  MATH         @PS_Con = "K"
  3.026  ELSEIF       FIND(@PS, "MA2474", 1)
  3.027  MATH         @PS_Con = "K"
  3.028  ELSEIF       FIND(@PS, "MA2475", 1)
  3.029  MATH         @PS_Con = "V"
  3.030  ELSEIF       FIND(@PS, "MA248", 1)
  3.031  MATH         @PS_Con = "N"
  3.032  ELSEIF       FIND(@PS, "MA249", 1)
  3.033  MATH         @PS_Con = "N"
  3.034  ELSEIF       ZCMP(@PS, "SC6230")
  3.035  MATH         @PS_Con = "V"
  3.036  ELSEIF       ZCMP(@PS, "SC7400")
  3.037  MATH         @PS_Con = "N"
  3.038  ELSEIF       ZCMP(@PS, "SC7430")
  3.039  MATH         @PS_Con = "V"
  3.040  ELSEIF       ZCMP(@PS, "SC7570")
  3.041  MATH         @PS_Con = "V"
  3.042  ELSE
  3.043  DISP         Unsupport power sensor: [V @PS]
  3.044  ENDIF

  3.045  END

  3.046  EVAL   Increment step number

# =====  Sub Anritsu Power Sensor Get Frequency Type  =======================

  4.001  LABEL        POWER_SENSOR_FREQUENCY_TYPE

  4.002  IF           FIND(@PS, "MA2411", 1)
  4.003  MATH         @PS_FreqType = "MA2411"
  4.004  ELSEIF       FIND(@PS, "MA2421", 1)
  4.005  MATH         @PS_FreqType = "MA2421"
  4.006  ELSEIF       FIND(@PS, "MA2422", 1)
  4.007  MATH         @PS_FreqType = "MA24X2"
  4.008  ELSEIF       FIND(@PS, "MA2423", 1)
  4.009  MATH         @PS_FreqType = "MA24X3"
  4.010  ELSEIF       FIND(@PS, "MA2424", 1)
  4.011  MATH         @PS_FreqType = "MA24X4"
  4.012  ELSEIF       FIND(@PS, "MA2425", 1)
  4.013  MATH         @PS_FreqType = "MA24X5"
  4.014  ELSEIF       FIND(@PS, "MA2442", 1)
  4.015  MATH         @PS_FreqType = "MA24X2"
  4.016  ELSEIF       FIND(@PS, "MA2444", 1)
  4.017  MATH         @PS_FreqType = "MA24X4"
  4.018  ELSEIF       FIND(@PS, "MA2445", 1)
  4.019  MATH         @PS_FreqType = "MA24X5"
  4.020  ELSEIF       FIND(@PS, "MA2468", 1)
  4.021  MATH         @PS_FreqType = "MA2468"
  4.022  ELSEIF       FIND(@PS, "MA2469", 1)
  4.023  MATH         @PS_FreqType = "MA2469"
  4.024  ELSEIF       FIND(@PS, "MA2472", 1)
  4.025  MATH         @PS_FreqType = "MA24X2"
  4.026  ELSEIF       FIND(@PS, "MA2473", 1)
  4.027  MATH         @PS_FreqType = "MA24X3"
  4.028  ELSEIF       FIND(@PS, "MA2474", 1)
  4.029  MATH         @PS_FreqType = "MA24X4"
  4.030  ELSEIF       FIND(@PS, "MA2475", 1)
  4.031  MATH         @PS_FreqType = "MA24X5"
  4.032  ELSEIF       FIND(@PS, "MA248", 1)
  4.033  MATH         @PS_FreqType = "MA248X"
  4.034  ELSEIF       FIND(@PS, "MA249", 1)
  4.035  MATH         @PS_FreqType = "MA249X"
  4.036  ELSEIF       ZCMP(@PS, "SC6230")
  4.037  MATH         @PS_FreqType = "SC6230"
  4.038  ELSEIF       ZCMP(@PS, "SC7400")
  4.039  MATH         @PS_FreqType = "SC7400"
  4.040  ELSEIF       ZCMP(@PS, "SC7430")
  4.041  MATH         @PS_FreqType = "SC7430"
  4.042  ELSEIF       ZCMP(@PS, "SC7570")
  4.043  MATH         @PS_FreqType = "SC7570"
  4.044  ELSE
  4.045  DISP         Unsupport power sensor: [V @PS]
  4.046  ENDIF

  4.047  END

  4.048  EVAL   Increment step number

# =====  Sub Anritsu Power Sensor Get Frequency Range =======================

  5.001  LABEL        POWER_SENSOR_FREQUENCY_RANGE

  5.002  IF           FIND(@PS, "MA2411", 1)
  5.003  MATH         @PS_MinFreq = 300E+6; @PS_MaxFreq = 40E+9
  5.004  ELSEIF       FIND(@PS, "MA2421", 1)
  5.005  MATH         @PS_MinFreq = 100E+3; @PS_MaxFreq = 18E+9
  5.006  ELSEIF       FIND(@PS, "MA2422", 1)
  5.007  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 18E+9
  5.008  ELSEIF       FIND(@PS, "MA2423", 1)
  5.009  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 32E+9
  5.010  ELSEIF       FIND(@PS, "MA2424", 1)
  5.011  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 40E+9
  5.012  ELSEIF       FIND(@PS, "MA2425", 1)
  5.013  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 50E+9
  5.014  ELSEIF       FIND(@PS, "MA2442", 1)
  5.015  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 18E+9
  5.016  ELSEIF       FIND(@PS, "MA2444", 1)
  5.017  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 40E+9
  5.018  ELSEIF       FIND(@PS, "MA2445", 1)
  5.019  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 50E+9
  5.020  ELSEIF       FIND(@PS, "MA2468", 1)
  5.021  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq =  6E+9
  5.022  ELSEIF       FIND(@PS, "MA2469", 1)
  5.023  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 18E+9
  5.024  ELSEIF       FIND(@PS, "MA2472", 1)
  5.025  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 18E+9
  5.026  ELSEIF       FIND(@PS, "MA2473", 1)
  5.027  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 32E+9
  5.028  ELSEIF       FIND(@PS, "MA2474", 1)
  5.029  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 40E+9
  5.030  ELSEIF       FIND(@PS, "MA2475", 1)
  5.031  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 50E+9
  5.032  ELSEIF       FIND(@PS, "MA2481", 1)
  5.033  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq =  6E+9
  5.034  ELSEIF       FIND(@PS, "MA2482", 1)
  5.035  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 18E+9
  5.036  ELSEIF       FIND(@PS, "MA2490", 1)
  5.037  MATH         @PS_MinFreq =  50E+6; @PS_MaxFreq =  8E+9
  5.038  ELSEIF       FIND(@PS, "MA2491", 1)
  5.039  MATH         @PS_MinFreq =  50E+6; @PS_MaxFreq = 18E+9
  5.040  ELSEIF       ZCMP(@PS, "SC6230")
  5.041  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 65E+9
  5.042  ELSEIF       ZCMP(@PS, "SC7400")
  5.043  MATH         @PS_MinFreq = 100E+3; @PS_MaxFreq = 18E+9
  5.044  ELSEIF       ZCMP(@PS, "SC7430")
  5.045  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 67E+9
  5.046  ELSEIF       ZCMP(@PS, "SC7570")
  5.047  MATH         @PS_MinFreq =  10E+6; @PS_MaxFreq = 67E+9
  5.048  ELSE
  5.049  DISP         Unsupport power sensor: [V @PS]
  5.050  ENDIF

  5.051  END

  5.052  EVAL   Increment step number

# =====  Sub Anritsu Power Sensor Get Dynamic Range =========================

  6.001  LABEL        POWER_SENSOR_DYNAMIC_RANGE

  6.002  IF           ZCMP(@PS_Series, "MA241X")
  6.003  MATH         @PS_MinLvl = -20; @PS_MaxLvl = +20
  6.004  ELSEIF       ZCMP(@PS_Series, "MA242X")
  6.005  MATH         @PS_MinLvl = -30; @PS_MaxLvl = +20
  6.006  ELSEIF       ZCMP(@PS_Series, "MA244X")
  6.007  MATH         @PS_MinLvl = -67; @PS_MaxLvl = +20
  6.008  ELSEIF       ZCMP(@PS_Series, "MA246X")
  6.009  MATH         @PS_MinLvl = -60; @PS_MaxLvl = +20
  6.010  ELSEIF       ZCMP(@PS_Series, "MA247X")
  6.011  MATH         @PS_MinLvl = -70; @PS_MaxLvl = +20
  6.012  ELSEIF       ZCMP(@PS_Series, "MA248X")
  6.013  MATH         @PS_MinLvl = -60; @PS_MaxLvl = +20
  6.014  ELSEIF       ZCMP(@PS_Series, "MA249X")
  6.015  MATH         @PS_MinLvl = -60; @PS_MaxLvl = +20
  6.016  ELSEIF       ZCMP(@PS_Series, "SC6230")
  6.017  MATH         @PS_MinLvl = -30; @PS_MaxLvl = +20
  6.018  ELSEIF       ZCMP(@PS_Series, "SC7400")
  6.019  MATH         @PS_MinLvl = -55; @PS_MaxLvl = +20
  6.020  ELSEIF       ZCMP(@PS_Series, "SC7430")
  6.021  MATH         @PS_MinLvl = -30; @PS_MaxLvl = +20
  6.022  ELSEIF       ZCMP(@PS_Series, "SC7570")
  6.023  MATH         @PS_MinLvl = -30; @PS_MaxLvl = +20
  6.024  ELSE
  6.025  DISP         Unsupport power sensor series: [V @PS_Series]
  6.026  ENDIF

  6.027  END
