﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Check Chassis Id & Options /86100
INSTRUMENT:            Sub Check Plug-in Id /86100
INSTRUMENT:            Sub Initialize /86100
INSTRUMENT:            Sub Init Global Variables /86100
INSTRUMENT:            Sub Reset /86100
INSTRUMENT:            Sub Cal Vertical /86100
DATE:                  2016-08-09 16:35:34
AUTHOR:                Fluke
REVISION:              $Revision: 16627 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       322
CONFIGURATION:         Agilent 86100 Series
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Compatibility:
#        MET/CAL 7.2 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Usage:
#
#  1.004  CALL         Sub Initialize /86100
#
#  1.005  MATH         @86100_Opt_201 = 1
#  1.006  CALL         Sub Check Chassis Id & Options /86100
#
#  1.007  IF           @Error
#  1.008  END
#  1.009  ENDIF
#
#  1.010  MATH         @86100_LeftPluginModelNum = "83484A"
#  1.011  CALL         Sub Check Plug-in Id /86100
#
#  1.012  IF           @Error
#  1.013  END
#  1.014  ENDIF
#
#  1.015  STD          Agilent 83484A
#  1.016  CALL         Sub Reset /86100
#
#  1.017  OPBR         -z  Do you wish to perform 83484A Vertical Calibration?
#
#  1.018  IF           MEM1
#  1.019  Ensure that no signals are applied to the 86100 inputs.
#  1.020  CALL         Sub Cal Vertical /86100
#  1.021  ENDIF
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         CHECK_CHASSIS                PSUBI("Check Chassis")
  1.002  JMPL         CHECK_PLUG_IN                PSUBI("Check Plug-in")
  1.003  JMPL         INITIALIZE                   PSUBI("Initialize")
  1.004  JMPL         INIT_GLOBAL_VARIABLES        PSUBI("Init Global Var")
  1.005  JMPL         RESET                        PSUBI("Reset")
  1.006  JMPL         CAL_VERTICAL                 PSUBI("Cal Vertical")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub Check Chassis Id & Options /86100  =============================

  2.001  LABEL        CHECK_CHASSIS
  2.002  MATH         @Error = 0
  2.003  SCPI         [@86100]*IDN?[I$]
  2.004  MATH         @86100_Manufacturer = FLD(MEM2, 1, ",")
  2.005  MATH         @86100_ModelNum     = FLD(MEM2, 2, ",")
  2.006  MATH         @86100_SerialNum    = FLD(MEM2, 3, ",")
  2.007  MATH         @86100_FirmwareRev  = FLD(MEM2, 4, ",")

# Make sure an Agilent/HP 86100 is connected.
  2.008  MATH         L[1] = ZCMP(@86100_Manufacturer, "HEWLETT-PACKARD")
  2.009  MATH         L[2] = ZCMP(@86100_Manufacturer, "Agilent Technologies")
  2.010  MATH         L[3] = ZCMP(@86100_Manufacturer,"Keysight Technologies")
  2.011  MATH         L[4] = L[1] || L[2] || L[3]
  2.012  MATH         L[5] = ZCMP(SUB(@86100_ModelNum, 1, 5), "86100")

  2.013  IF           NOT(L[4]) || NOT(L[5])
  2.014  DISP         [V Manufacturer] [V ModelNum] found at alias "86100".
  2.014  DISP
  2.014  DISP         Keysight/Agilent/HP 86100A, B, C, or D required.
  2.015  MATH         @Error = 1
  2.016  END
  2.017  ENDIF

# Initialize option flags to zero (not installed).
  2.018  MATH         Opt_001 = 0
  2.019  MATH         Opt_200 = 0
  2.020  MATH         Opt_201 = 0
  2.021  MATH         Opt_202 = 0

  2.022  SCPI         [@86100]*OPT?[I$]
  2.023  MATH         Field = 1
  2.024  MATH         Opt = FLD(MEM2, Field, ",")

  2.025  WHILE        NOT(EMPTY(Opt))

  2.026  IF           ZCMP(Opt, "001")
  2.027  MATH         Opt_001 = 1
  2.028  ELSEIF       ZCMP(Opt, "200")
  2.029  MATH         Opt_200 = 1
  2.030  ELSEIF       ZCMP(Opt, "201")
  2.031  MATH         Opt_201 = 1
  2.032  ELSEIF       ZCMP(Opt, "202")
  2.033  MATH         Opt_202 = 1
  2.034  ENDIF

  2.035  MATH         Field = Field + 1
  2.036  MATH         Opt = FLD(MEM2, Field, ",")
  2.037  ENDW

  2.038  IF           @86100_Opt_001 && NOT(Opt_001)
  2.039  DISP         Option 001: Enhanced Trigger not installed in
  2.039  DISP         [V @86100_ModelNum].
  2.040  MATH         @Error = 1
  2.041  ENDIF

  2.042  IF           @86100_Opt_200 && NOT(Opt_200)
  2.043  DISP         Option 200: Jitter Analysis not installed in
  2.043  DISP         [V @86100_ModelNum].
  2.044  MATH         @Error = 1
  2.045  ENDIF

  2.046  IF           @86100_Opt_201 && NOT(Opt_201)
  2.047  DISP         Option 201: Advanced Waveform Analysis not installed in
  2.047  DISP         [V @86100_ModelNum].
  2.048  MATH         @Error = 1
  2.049  ENDIF

  2.050  IF           @86100_Opt_202 && NOT(Opt_202)
  2.051  DISP         Option 202: Advanced Impedance and S-Parameter" not
  2.051  DISP         installed in [V @86100_ModelNum].
  2.052  MATH         @Error = 1
  2.053  ENDIF

  2.054  END

  2.055  EVAL   Increment step number

# =====  Sub Check Plug-in Id /86100  =======================================

  3.001  LABEL        CHECK_PLUG_IN
  3.002  MATH         @Error = 0

# Make sure left plug-in module is specified model.
  3.003  IF           NOT(EMPTY(@86100_LeftPluginModelNum))
  3.004  SCPI         [@86100]MOD? LMOD[I$]
  3.005  MATH         ModelNum = @86100_LeftPluginModelNum

  3.006  IF           NOT(ZCMP(MEM2, ModelNum))
  3.007  MATH         MEM2 = @86100_ModelNum
  3.008  DISP         [V ModelNum] not in installed in [MEM2] left plug-in.
  3.009  MATH         @Error = 1
  3.010  ENDIF

  3.011  ENDIF

# Make sure right plug-in module is specified model.
  3.012  IF           NOT(EMPTY(@86100_RightPluginModelNum))
  3.013  SCPI         [@86100]MOD? RMOD[I$]
  3.014  MATH         ModelNum = @86100_RightPluginModelNum

  3.015  IF           NOT(ZCMP(MEM2, ModelNum))
  3.016  MATH         MEM2 = @86100_ModelNum
  3.017  DISP         [V ModelNum] not in installed in [MEM2] right plug-in.
  3.018  MATH         @Error = 1
  3.019  ENDIF

  3.020  ENDIF

  3.021  END

  3.022  EVAL   Increment step number

# =====  Sub Initialize /86100  =============================================

  4.001  LABEL        INITIALIZE
# Store device name.
  4.002  MATH         @86100_DevName = "Agilent 86100"

# Establish RESET FSC for device.
  4.003  RESET        [@86100]*CLS

# Initialize option flags to zero (not required).
#   Option 001:  Enhanced Trigger
#   Option 200:  Jitter Analysis
#   Option 201:  Advanced Waveform Analysis
#   Option 202:  Enhanced Impedance and S-Parameter

  4.004  MATH         @86100_Opt_001 = 0
  4.005  MATH         @86100_Opt_200 = 0
  4.006  MATH         @86100_Opt_201 = 0
  4.007  MATH         @86100_Opt_202 = 0

  4.008  CALL         Sub Init Global Variables /86100
  4.009  END

  4.010  EVAL   Increment step number

# =====  Sub Init Global Variables /86100 ===================================

# Initialize global variables to the empty string (unset).
  5.001  LABEL        INIT_GLOBAL_VARIABLES
  5.002  MATH         @86100_Measurement           = ""
  5.003  MATH         @86100_MeasurementOperand1   = ""
  5.004  MATH         @86100_MeasurementOperand2   = ""
  5.005  MATH         @86100_MeasurementSource1    = ""
  5.006  MATH         @86100_MeasurementSource2    = ""
  5.007  MATH         @86100_MeasurementThresholds = ""
  5.008  MATH         @86100_LeftPluginModelNum    = ""
  5.009  MATH         @86100_RightPluginModelNum   = ""
  5.010  MATH         @86100_Plugin                = ""
  5.011  MATH         @86100_Ch1_Attenuation       = ""
  5.012  MATH         @86100_Ch2_Attenuation       = ""
  5.013  MATH         @86100_Ch3_Attenuation       = ""
  5.014  MATH         @86100_Ch4_Attenuation       = ""
  5.015  MATH         @86100_Ch1_BW                = ""
  5.016  MATH         @86100_Ch2_BW                = ""
  5.017  MATH         @86100_Ch3_BW                = ""
  5.018  MATH         @86100_Ch4_BW                = ""
  5.019  MATH         @86100_Ch1_Display           = ""
  5.020  MATH         @86100_Ch2_Display           = ""
  5.021  MATH         @86100_Ch3_Display           = ""
  5.022  MATH         @86100_Ch4_Display           = ""
  5.023  MATH         @86100_Ch1_Offset            = ""
  5.024  MATH         @86100_Ch2_Offset            = ""
  5.025  MATH         @86100_Ch3_Offset            = ""
  5.026  MATH         @86100_Ch4_Offset            = ""
  5.027  MATH         @86100_Ch1_Range             = ""
  5.028  MATH         @86100_Ch2_Range             = ""
  5.029  MATH         @86100_Ch3_Range             = ""
  5.030  MATH         @86100_Ch4_Range             = ""
  5.031  MATH         @86100_Ch1_Scale             = ""
  5.032  MATH         @86100_Ch2_Scale             = ""
  5.033  MATH         @86100_Ch3_Scale             = ""
  5.034  MATH         @86100_Ch4_Scale             = ""
  5.035  MATH         @86100_DeltaTimeDefinition   = ""
  5.036  MATH         @86100_Digitize              = ""
  5.037  MATH         @86100_Function1             = ""
  5.038  MATH         @86100_Function2             = ""
  5.039  MATH         @86100_Function3             = ""
  5.040  MATH         @86100_Function4             = ""
  5.041  MATH         @86100_F1_Operand1           = ""
  5.042  MATH         @86100_F1_Operand2           = ""
  5.043  MATH         @86100_F2_Operand1           = ""
  5.044  MATH         @86100_F2_Operand2           = ""
  5.045  MATH         @86100_F3_Operand1           = ""
  5.046  MATH         @86100_F3_Operand2           = ""
  5.047  MATH         @86100_F4_Operand1           = ""
  5.048  MATH         @86100_F4_Operand2           = ""
  5.049  MATH         @86100_F1_Display            = ""
  5.050  MATH         @86100_F2_Display            = ""
  5.051  MATH         @86100_F3_Display            = ""
  5.052  MATH         @86100_F4_Display            = ""
  5.053  MATH         @86100_NumberPatterns        = ""
  5.054  MATH         @86100_NumberSamples         = ""
  5.055  MATH         @86100_NumberWaveforms       = ""
  5.056  MATH         @86100_RunUntil              = ""
  5.057  MATH         @86100_TB_Delay              = ""
  5.058  MATH         @86100_TB_Offset             = ""
  5.059  MATH         @86100_TB_Position           = ""
  5.060  MATH         @86100_TB_Range              = ""
  5.061  MATH         @86100_TB_Reference          = ""
  5.062  MATH         @86100_TB_Scale              = ""
  5.063  MATH         @86100_TriggerLevel          = ""
  5.064  MATH         @86100_TriggerSlope          = ""
  5.065  MATH         @86100_TriggerSource         = ""
  5.066  MATH         @86100_AverageCount          = ""
  5.067  END

  5.068  EVAL   Increment step number

# =====  Sub Reset /86100  ==================================================

  6.001  LABEL        RESET
  6.002  SCPI         [@86100]*RST;SYST:HEAD OFF
  6.003  END

  6.004  EVAL   Increment step number

# =====  Sub Cal Vertical /86100  ===========================================

  7.001  LABEL        CAL_VERTICAL
  7.002  MATH         @Error = 0

  7.003  IF           ZCMPI(@86100_Plugin, "Left")
  7.004  MATH         Module = "LMOD"
  7.005  ELSEIF       ZCMPI(@86100_Plugin, "Right")
  7.006  MATH         Module = "RMOD"
  7.007  ELSE
  7.008  DISP         @86100_Plugin must be "Left" or "Right".
  7.009  MATH         @Error = 1
  7.010  END
  7.011  ENDIF

  7.012  HEAD         PERFORMING 86100 PLUG-IN VERTICAL CALIBRatioN...
  7.013  SCPI         [@86100][T90000]CAL:PLUG:VERT [V Module];:CAL:CONT
  7.014  HEAD
  7.015  END
