﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Measurement Source /86100
INSTRUMENT:            Sub Check Result State /86100
DATE:                  2016-08-09 14:23:19
AUTHOR:                Fluke
REVISION:              $Revision: 16624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       179
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Compatibility:
#        MET/CAL 7.2 or later or later
#
#  Required Equipment:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         MEASUREMENT_SOURCE           PSUBI("Measurement Source")
  1.002  JMPL         CHECK_RESULT_STATE           PSUBI("Result State ")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment step number

# =====  Sub Measurement Source /86100  =====================================

  2.001  LABEL        MEASUREMENT_SOURCE

  2.002  IF           ZCMPI(@86100_MeasurementSource, "Ch1")
  2.003  MATH         @Source = "CHAN1"
  2.004  ELSEIF       ZCMPI(@86100_MeasurementSource, "Ch2")
  2.005  MATH         @Source = "CHAN2"
  2.006  ELSEIF       ZCMPI(@86100_MeasurementSource, "Ch3")
  2.007  MATH         @Source = "CHAN3"
  2.008  ELSEIF       ZCMPI(@86100_MeasurementSource, "Ch4")
  2.009  MATH         @Source = "CHAN4"
  2.010  ELSEIF       ZCMPI(@86100_MeasurementSource, "Function1")
  2.011  MATH         @Source = "FUNC1"
  2.012  ELSEIF       ZCMPI(@86100_MeasurementSource, "Function2")
  2.013  MATH         @Source = "FUNC2"
  2.014  ELSEIF       ZCMPI(@86100_MeasurementSource, "Function3")
  2.015  MATH         @Source = "FUNC3"
  2.016  ELSEIF       ZCMPI(@86100_MeasurementSource, "Function4")
  2.017  MATH         @Source = "FUNC4"
  2.018  ELSEIF       ZCMPI(@86100_MeasurementSource, "Memory1")
  2.019  MATH         @Source = "MEM1"
  2.020  ELSEIF       ZCMPI(@86100_MeasurementSource, "Memory2")
  2.021  MATH         @Source = "MEM2"
  2.022  ELSEIF       ZCMPI(@86100_MeasurementSource, "Memory3")
  2.023  MATH         @Source = "MEM3"
  2.024  ELSEIF       ZCMPI(@86100_MeasurementSource, "Memory4")
  2.025  MATH         @Source = "MEM4"
  2.026  ELSE
  2.027  DISP         @86100_MeasurementSource must be one of:
  2.027  DISP
  2.027  DISP         [32] Ch1 | Ch2 | Ch3 | Ch4
  2.027  DISP         [32] Function1 | Function2 | Function3 | Function4 |
  2.027  DISP         [32] Memory1 | Memory2 | Memory3 | Memory4
  2.028  MATH         @Error = 1
  2.029  ENDIF

  2.030  END

  2.031  EVAL   Increment step number

# =====  Sub Check Result State /86100  =====================================

  3.001  LABEL        CHECK_RESULT_STATE
  3.002  MATH         L[1] = FLD(MEM2, 3, ",")

  3.003  IF           L[1] > 0
  3.004  MATH         Invalid = "Result invalid. "

  3.005  IF           L[1] == 1
  3.006  DISP         Result questionable but could be measured.
  3.007  ELSEIF       L[1] == 2
  3.008  DISP         Result less than or equal to value returned.
  3.009  ELSEIF       L[1] == 3
  3.010  DISP         Result greater than or equal to value returned.
  3.011  ELSEIF       L[1] == 4
  3.012  DISP         Result returned is invalid.
  3.013  ELSEIF       L[1] == 5
  3.014  DISP         [V Invalid] Required edge not found.
  3.015  ELSEIF       L[1] == 6
  3.016  DISP         [V Invalid] Max not found.
  3.017  ELSEIF       L[1] == 7
  3.018  DISP         [V Invalid] Min not found.
  3.019  ELSEIF       L[1] == 8
  3.020  DISP         [V Invalid] Requested time not found.
  3.021  ELSEIF       L[1] == 9
  3.022  DISP         [V Invalid] Requested voltage not found.
  3.023  ELSEIF       L[1] == 10
  3.024  DISP         [V Invalid] Top and base are equal.
  3.025  ELSEIF       L[1] == 11
  3.026  DISP         [V Invalid] Measurement zone too small.
  3.027  ELSEIF       L[1] == 12
  3.028  DISP         [V Invalid] Lower threshold not on waveform.
  3.029  ELSEIF       L[1] == 13
  3.030  DISP         [V Invalid] Upper threshold not on waveform.
  3.031  ELSEIF       L[1] == 14
  3.032  DISP         [V Invalid] Upper and lower thresholds are too close.
  3.033  ELSEIF       L[1] == 15
  3.034  DISP         [V Invalid] Top not on waveform.
  3.035  ELSEIF       L[1] == 16
  3.036  DISP         [V Invalid] Base not on waveform.
  3.037  ELSEIF       L[1] == 17
  3.038  DISP         [V Invalid] Completion criteria on reached.
  3.039  ELSEIF       L[1] == 18
  3.040  MATH         Msg = " Measurement invalid for this type of waveform."
  3.041  DISP         [V Invalid] [V Msg]
  3.042  ELSEIF       L[1] == 19
  3.043  DISP         [V Invalid] Waveform is not displayed.
  3.044  ELSEIF       L[1] == 20
  3.045  DISP         [V Invalid] Waveform is clipped high.
  3.046  ELSEIF       L[1] == 21
  3.047  DISP         [V Invalid] Waveform is clipped low.
  3.048  ELSEIF       L[1] == 22
  3.049  DISP         [V Invalid] Waveform is clipped high and low.
  3.050  ELSEIF       L[1] == 23
  3.051  DISP         [V Invalid] Data contains all holes.
  3.052  ELSEIF       L[1] == 24
  3.053  DISP         [V Invalid] No data on screen.
  3.054  ELSEIF       L[1] == 29
  3.055  DISP         [V Invalid] FFT peak not found.
  3.056  ELSEIF       L[1] == 30
  3.057  DISP         [V Invalid] Eye pattern not found.
  3.058  ELSEIF       L[1] == 31
  3.059  DISP         [V Invalid] No NRZ eye pattern found.
  3.060  ELSEIF       L[1] == 33
  3.061  MATH         Msg = " There is more than one source on creating the"
  3.062  MATH         Msg = Msg & " database"
  3.063  DISP         [V Invalid] [V Msg]
  3.064  ELSEIF       L[1] == 35
  3.065  DISP         Signal may be too small to evaluate.
  3.066  ELSEIF       L[1] == 39
  3.067  MATH         Msg = " Need jitter package to make this measurement"
  3.068  MATH         Msg = Msg & " or must be in jitter mode to make this"
  3.069  MATH         Msg = Msg & " measurement."
  3.070  DISP         [V Invalid] [V Msg]
  3.071  ELSEIF       L[1] == 40
  3.072  DISP         Current measurement is not on screen.
  3.073  ELSEIF       L[1] == 41
  3.074  DISP         Not enough points available to recover the clock.
  3.075  ELSEIF       L[1] == 42
  3.076  MATH         Msg = " The loop bandwidth of the PLL is too high to"
  3.077  MATH         Msg = Msg & " recover the clock."
  3.078  DISP         [V Msg]
  3.079  ELSEIF       L[1] == 43
  3.080  DISP         RJDJ pattern not found in data.
  3.081  ELSEIF       L[1] == 45
  3.082  DISP         Clock recovery mode is not permitted.
  3.083  ELSEIF       L[1] == 46
  3.084  DISP         Too much jitter to make a RJDJ separation.
  3.085  ELSE
  3.086  DISP         Unidentifed Result State Code: [L1]
  3.087  ENDIF

  3.088  ENDIF

  3.089  END
