﻿© Fluke Calibration. All Rights Reserved.                  MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 856x (Sys) Id, Options, & Frequency Range IEEE
INSTRUMENT:            Sub HP 856x (Sys) Command Complete
DATE:                  2012-01-19 07:43:54
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       208
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to
#  this procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
# This multi-faceted procedure performs several functions pertinent to the
# use of an HP 856x() spectrum analyzer as a reference.
#
# 1. It identifies the specific model and saves it in @856x_ModelNum.
# 2. Determines the maximum frequency based on @856x_ModelNum and saves it
#    in @856x_MaxFreq.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         ID_OPTS_FREQ_RNG             PSUBI("Id, Options, & Fre")
  1.002  JMPL         COMMAND_COMPLETE             PSUBI("Command Complete")
  1.003  DISP         Called subprocedure not found!
  1.004  END

  1.005  EVAL   Increment step number

# =====  Sub HP 856x (Sys) Id, Options, & Frequency Range IEEE  =============

  2.001  LABEL        ID_OPTS_FREQ_RNG
  2.002  IEEE         [@8560]ID?[I$]
  2.003  MATH         ID_Resp = MEM2
# Extract manufacturer name from ID string.
  2.004  MATH         @856x_Manufacturer = SUB(FLD(ID_Resp, 1, ","), 1, 2)
# Extract model number from ID string.
  2.005  MATH         @856x_ModelNum = SUB(FLD(ID_Resp, 1, ","), 3, 5)
# Query serial number.
  2.006  IEEE         [@8560]SER?;[I$]
  2.007  MATH         @856x_SerialNum = MEM2
  2.008  MATH         BuildDate = 1960 + SUB(@856x_SerialNum, 1, 2)
# Query firmware revision number.
  2.009  IEEE         [@8560]REV?[I$]
  2.010  MATH         @856x_FirmwareRev = MEM2

# Extract installed option codes from ID string.
#
#   002:  Tracking Generator
#   003:  Precision Frequency Reference
#   005:  Alternate sweep output
#   006:  Frequency coverage down to 30 Hz
#   007:  Fast time domain sweeps
#   008:  Signal identification
#   026:  26.5 GHz Frequency Extension
#   103:  Delete Precision Frequency Reference
#   104:  Delete 85620A Mass Memory Module
#   327:  Delete IF input and video output
#   E01:  9 kHz - 22 GHz; includes external mixers
#   E36:  Option H36 with two external mixers to 50 GHz
#   E36:  Option H51 with two external mixers
#   E51:  26.5 GHz Frequency Extension
#   H01:  9 kHz - 22 GHz; includes external mixers
#   H51:  9 kHz - 26.5 GHz; revised specifications

  2.011  MATH         @856x_Opt_002 = FIND(ID_Resp, "002", 1)
  2.012  MATH         @856x_Opt_003 = FIND(ID_Resp, "003", 1)
  2.013  MATH         @856x_Opt_005 = FIND(ID_Resp, "005", 1)
  2.014  MATH         @856x_Opt_006 = FIND(ID_Resp, "006", 1)
  2.015  MATH         @856x_Opt_007 = FIND(ID_Resp, "007", 1)
  2.016  MATH         @856x_Opt_008 = FIND(ID_Resp, "008", 1)
  2.017  MATH         @856x_Opt_026 = FIND(ID_Resp, "026", 1)
  2.018  MATH         @856x_Opt_103 = FIND(ID_Resp, "103", 1)
  2.019  MATH         @856x_Opt_104 = FIND(ID_Resp, "104", 1)
  2.020  MATH         @856x_Opt_327 = FIND(ID_Resp, "327", 1)
  2.021  MATH         @856x_Opt_E01 = FIND(ID_Resp, "E01", 1)
  2.022  MATH         @856x_Opt_E36 = FIND(ID_Resp, "E36", 1)
  2.023  MATH         @856x_Opt_E51 = FIND(ID_Resp, "E51", 1)
  2.024  MATH         @856x_Opt_H01 = FIND(ID_Resp, "H01", 1)
  2.025  MATH         @856x_Opt_H51 = FIND(ID_Resp, "H51", 1)

# Determine frequency range.
  2.026  MATH         ModelNum = @856x_ModelNum

  2.027  IF           ZCMP(ModelNum, "8560A") || ZCMP(@856x_ModelNum, "8560B")
  2.028  MATH         @856x_MinFreq = 50.0
  2.029  MATH         @856x_MaxFreq = 2.9E+9

  2.030  ELSEIF       ZCMP(ModelNum, "8560E")
  2.031  MATH         @856x_MinFreq = 30.0
  2.032  MATH         @856x_MaxFreq = 2.9E+9

  2.033  ELSEIF       ZCMP(ModelNum, "8561A")
  2.034  MATH         @856x_MinFreq = 1.0E+3
  2.035  MATH         @856x_MaxFreq = 6.5E+9

  2.036  ELSEIF       ZCMP(ModelNum, "8561B")
  2.037  MATH         @856x_MinFreq = 50.0
  2.038  MATH         @856x_MaxFreq = 6.5E+9

  2.039  ELSEIF       ZCMP(ModelNum, "8561E")
  2.040  MATH         @856x_MinFreq = 30.0
  2.041  MATH         @856x_MaxFreq = 6.5E+9

  2.042  ELSEIF       ZCMP(ModelNum, "8562A") || ZCMP(ModelNum, "8562B")

  2.043  IF           BuildDate == 1989
  2.044  MATH         @856x_MinFreq = 1.0E+3
  2.045  ELSE
  2.046  MATH         @856x_MinFreq = 9.0E+3
  2.047  ENDIF

  2.048  IF           @856x_Opt_026
  2.049  MATH         @856x_MaxFreq = 26.5E+9
  2.050  ELSE
  2.051  MATH         @856x_MaxFreq = 22.0E+9
  2.052  ENDIF

  2.053  ELSEIF       ZCMP(ModelNum, "8562E")
  2.054  MATH         @856x_MinFreq = 30.0
  2.055  MATH         @856x_MaxFreq = 13.2E+9

  2.056  ELSEIF       ZCMP(ModelNum, "8563A")
  2.057  MATH         @856x_MinFreq = 9.0E+3

  2.058  IF           @856x_Opt_026 || @856x_Opt_E51 || @856x_Opt_H51
  2.059  MATH         @856x_MaxFreq = 26.0E+9
  2.060  ELSE
  2.061  MATH         @856x_MaxFreq = 22.0E+9
  2.062  ENDIF

  2.063  ELSEIF       ZCMP(ModelNum, "8563E")

  2.064  IF           @856x_Opt_006
  2.065  MATH         @856x_MinFreq = 30.0
  2.066  ELSE
  2.067  MATH         @856x_MaxFreq = 9.0E+3
  2.068  ENDIF

  2.069  MATH         @856x_MaxFreq = 26.5E+9

  2.070  ELSEIF       ZCMP(ModelNum, "8564E")

  2.071  IF           @856x_Opt_006
  2.072  MATH         @856x_MinFreq = 30.0
  2.073  ELSE
  2.074  MATH         @856x_MaxFreq = 9.0E+3
  2.075  ENDIF

  2.076  MATH         @856x_MaxFreq = 40.0E+9

  2.077  ELSEIF       ZCMP(ModelNum, "8565E")

  2.078  IF           @856x_Opt_006
  2.079  MATH         @856x_MinFreq = 30.0
  2.080  ELSE
  2.081  MATH         @856x_MaxFreq = 9.0E+3
  2.082  ENDIF

  2.083  MATH         @856x_MaxFreq = 50.0E+9
  2.084  ENDIF

  2.085  END

  2.086  EVAL   Increment step number

# =====  Sub HP 856x (Sys) Command Complete  ================================
#
# This sub waits for the sent command string to finish prior to proceeding.
#
#  Example:
# 1.001  MATH         @Cmd = "SNGLS;CF 300MZ;SP 10MZ;RL -20DB;AT 0DB;"
# 1.002  CALL         Sub HP 856x (Sys) Command Complete

  3.001  LABEL        COMMAND_COMPLETE
  3.002  IEEE         [V @Cmd]RQS 50;[SRQ 60000]RQS 0;
  3.003  END
