﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) External AM Acc /8901,LO,FGEN
INSTRUMENT:            Sub MG369XB (2 yr) AM Roll Off /8901,LO,FGEN
INSTRUMENT:            Sub MG369XB (2 yr) AM Flatness /8901,LO,FGEN
DATE:                  2010-02-10 07:16:38
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       49
NUMBER OF LINES:       683
CONFIGURATION:         HP 8901B
CONFIGURATION:         Local Oscillator
CONFIGURATION:         Function Generator
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Calculate External AM /8901,LO,FGEN
#        Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
#        Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
#        Sub MG369XB Connection AM /8901,LO,FGEN,DMM
#        Sub MG369XB Reset & SRQ Masks
#
#  Flexible Driver subprocedures:
#        Sub Reset /LO
#        Sub Apply /LO
#        Sub Reset /FGEN
#        Sub Apply /FGEN
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON


# Dummy statements to force header to contain reference used in subprocedure.
  1.001  IF           0
  1.002  IEEE         [@LO]
  1.002  IEEE         [@FGEN]
  1.003  ENDIF

  1.004  CALL         Sub MG369XB Reset & SRQ Masks
  1.005  CALL         Sub Reset /FGEN
  1.006  CALL         Sub Reset /LO
  1.007  M8901        *

  1.008  MATH         @LO_Ampl = "+6 dBm"
  1.009  MATH         @LO_ROSC = "Ext"

  1.010  JMPL         EXTERNAL_AM_ACCURACY         PSUB("External AM Acc")
  1.011  JMPL         AM_ROLL_OFF_AT_50_kHz_BW     PSUB("AM Roll Off")
  1.012  JMPL         AM_FLATNESS                  PSUB("AM Flatness")
  1.013  DISP         Called subprocedure not found!
  1.014  END

  1.015  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) External AM Acc /8901,LO,FGEN  ==================

  2.001  LABEL        EXTERNAL_AM_ACCURACY
  2.002  HEAD         EXTERNAL AM ACCURACY
  2.003  RSLT         =
  2.004  RSLT         = External AM Accuracy vs. Frequency at 50 % Modulation
  2.005  TARGET       -p

  2.006  IF           @Opt_4 || @Opt_5
  2.007  HEAD         -2 1.0 GHz
  2.008  MATH         @FreqGHz = "1.0"; @LO_Freq = "1.60053 GHz"
  2.009  JMPL         CHECK_CON_AM_1.0_GHz

  2.010  TARGET       -p
# Reset picture flag to zero so picture is displayed for Repeat and Cancel.
  2.011  MATH         @MG369XB_8901_Con_AM = ""

  2.012  LABEL        CHECK_CON_AM_1.0_GHz
  2.013  CALL         Sub MG369XB Connection AM /8901,FGEN,DMM
  2.014  TSET         TDESC = 1.0 GHz
  2.015  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
  2.016  TARGET       -m
  2.017  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
  2.018  ACC          pct            M1%
  2.019  MEMC         50pct          5U            1.0GH

# Shut off the power before changing connections.
  3.001  IEEE         RF0
  3.002  CALL         Sub Output Off /LO

  3.003  HEAD         -2 1.4 GHz
  3.004  MATH         @FreqGHz = "1.4"; @LO_Freq = "1.52053 GHz"
  3.005  JMPL         CHECK_CON_AM_1.4_GHz

  3.006  TARGET       -p
# Reset picture flag to zero so picture is displayed for Repeat and Cancel.
  3.007  MATH         @MG369XB_8901_Con_AM = ""

  3.008  LABEL        CHECK_CON_AM_1.4_GHz
  3.009  CALL         Sub MG369XB Connection AM /8901,LO,FGEN,DMM
  3.010  TSET         TDESC = 1.4 GHz
  3.011  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
  3.012  TARGET       -m
  3.013  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
  3.014  ACC          pct            M1%
  3.015  MEMC         50pct          5U            1.4GH
  4.001  ENDIF        ; @Opt_4 || @Opt_5

  4.002  HEAD         -2 2.2 GHz
  4.003  MATH         @FreqGHz = "2.2"; @LO_Freq = "2.32053 GHz"
  4.004  JMPL         CHECK_CON_AM_2.2_GHz

  4.005  TARGET       -p
# Reset picture flag to zero so picture is displayed for Repeat and Cancel.
  4.006  MATH         @MG369XB_8901_Con_AM = ""

  4.007  LABEL        CHECK_CON_AM_2.2_GHz
  4.008  CALL         Sub MG369XB Connection AM /8901,LO,FGEN,DMM
  4.009  TSET         TDESC = 2.2 GHz
  4.010  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
  4.011  TARGET       -m
  4.012  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
  4.013  ACC          pct            M1%
  4.014  MEMC         50pct          5U            2.2GH

  5.001  HEAD         -2 2.3 GHz
  5.002  MATH         @FreqGHz = "2.3"; @LO_Freq = "2.42053 GHz"
  5.003  TARGET       -p
  5.004  TSET         TDESC = 2.3 GHz
  5.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
  5.006  TARGET       -m
  5.007  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
  5.008  ACC          pct            M1%
  5.009  MEMC         50pct          5U            2.3GH

  6.001  HEAD         -2 5.0 GHz
  6.002  MATH         @FreqGHz = "5.0"; @LO_Freq = "5.12053 GHz"
  6.003  TARGET       -p
  6.004  TSET         TDESC = 5.0 GHz
  6.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
  6.006  TARGET       -m
  6.007  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
  6.008  ACC          pct            M1%
  6.009  MEMC         50pct          5U            5.0GH

  7.001  HEAD         -2 8.3 GHz
  7.002  MATH         @FreqGHz = "8.3"; @LO_Freq = "8.42053 GHz"
  7.003  TARGET       -p
  7.004  TSET         TDESC = 8.3 GHz
  7.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
  7.006  TARGET       -m
  7.007  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
  7.008  ACC          pct            M1%
  7.009  MEMC         50pct          5U            8.3GH

  8.001  HEAD         -2 8.4 GHz
  8.002  MATH         @FreqGHz = "8.4"; @LO_Freq = "8.52053 GHz"
  8.003  TARGET       -p
  8.004  TSET         TDESC = 8.4 GHz
  8.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
  8.006  TARGET       -m
  8.007  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
  8.008  ACC          pct            M1%
  8.009  MEMC         50pct          5U            8.4GH

  9.001  IF           @MaxFreq > 10E+9
  9.002  HEAD         -2 14.0 GHz
  9.003  MATH         @FreqGHz = "14.0"; @LO_Freq = "14.12053 GHz"
  9.004  TARGET       -p
  9.005  TSET         TDESC = 14.0 GHz
  9.006  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
  9.007  TARGET       -m
  9.008  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
  9.009  ACC          pct            M1%
  9.010  MEMC         50pct          5U            14.0GH

 10.001  HEAD         -2 20.0 GHz
 10.002  MATH         @FreqGHz = "20.0"; @LO_Freq = "20.12053 GHz"
 10.003  TARGET       -p
 10.004  TSET         TDESC = 20.0 GHz
 10.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 10.006  TARGET       -m
 10.007  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
 10.008  ACC          pct            M1%
 10.009  MEMC         50pct          5U            20.0GH

 11.001  IF           @MaxFreq > 20E+9
 11.002  HEAD         -2 23.0 GHz
 11.003  MATH         @FreqGHz = "23.0"; @LO_Freq = "23.12053 GHz"
 11.004  TARGET       -p
 11.005  TSET         TDESC = 23.0 GHz
 11.006  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 11.007  TARGET       -m
 11.008  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
 11.009  ACC          pct            M1%
 11.010  MEMC         50pct          5U            23.0GH

 12.001  HEAD         -2 26.5 GHz
 12.002  MATH         @FreqGHz = "26.5"; @LO_Freq = "26.62053 GHz"
 12.003  TARGET       -p
 12.004  TSET         TDESC = 26.5 GHz
 12.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 12.006  TARGET       -m
 12.007  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
 12.008  ACC          pct            M1%
 12.009  MEMC         50pct          5U            26.5GH

 13.001  HEAD         -2 30.0 GHz
 13.002  MATH         @FreqGHz = "30.0"; @LO_Freq = "30.12053 GHz"
 13.003  TARGET       -p
 13.004  TSET         TDESC = 30.0 GHz
 13.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 13.006  TARGET       -m
 13.007  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
 13.008  ACC          pct            M1%
 13.009  MEMC         50pct          5U            30.0GH

 14.001  IF           @MaxFreq > 30E+9
 14.002  HEAD         -2 33.0 GHz
 14.003  MATH         @FreqGHz = "33.0"; @LO_Freq = "33.12053 GHz"
 14.004  TARGET       -p
 14.005  TSET         TDESC = 33.0 GHz
 14.006  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 14.007  TARGET       -m
 14.008  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
 14.009  ACC          pct            M1%
 14.010  MEMC         50pct          5U            33.0GH

 15.001  HEAD         -2 36.0 GHz
 15.002  MATH         @FreqGHz = "36.0"; @LO_Freq = "36.12053 GHz"
 15.003  TARGET       -p
 15.004  TSET         TDESC = 36.0 GHz
 15.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 15.006  TARGET       -m
 15.007  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
 15.008  ACC          pct            M1%
 15.009  MEMC         50pct          5U            36.0GH

 16.001  HEAD         -2 40.0 GHz
 16.002  MATH         @FreqGHz = "40.0"; @LO_Freq = "39.87947 GHz"
 16.003  TARGET       -p
 16.004  TSET         TDESC = 40.0 GHz
 16.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 16.006  TARGET       -m
 16.007  CALL         Sub MG369XB Calculate External AM /8901,LO,FGEN
 16.008  ACC          pct            M1%
 16.009  MEMC         50pct          5U            40.0GH
 17.001  ENDIF        ; @MaxFreq > 30E+9

 17.002  ENDIF        ; @MaxFreq > 20E+9

 17.003  ENDIF        ; @MaxFreq > 10E+9

 17.004  HEAD
 17.005  HEAD         -2
 17.006  CALL         Sub MG369XB Reset & SRQ Masks
 17.007  CALL         Sub Reset /FGEN
 17.008  CALL         Sub Reset /LO
 17.009  M8901        *
 17.010  8901         *                                                 S
 17.011  END

 17.012  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) AM Roll Off /8901,LO,FGEN  ======================

 18.001  LABEL        AM_ROLL_OFF_AT_50_kHz_BW
 18.002  HEAD         AM ROLL OFF: 50 kHz Bandwidth
 18.003  RSLT         =
 18.004  RSLT         = AM Roll Off at 50 kHz Bandwidth

 18.005  IF           @Opt_4 || @Opt_5
 18.006  HEAD         -21.0 GHz
 18.007  MATH         @FreqGHz = "1.0"; @LO_Freq = "1.60053 GHz"
 18.008  JMPL         CHECK_CON_ROLL_OFF_1.0_GHz

 18.009  TARGET       -p
# Reset picture flag to zero so picture is displayed for Repeat and Cancel.
 18.010  MATH         @MG369XB_8901_Con_AM = ""

 18.011  LABEL        CHECK_CON_ROLL_OFF_1.0_GHz
 18.012  CALL         Sub MG369XB Connection AM /8901,FGEN,DMM
 18.013  CALL         Sub Apply /LO
 18.014  TSET         TDESC = 1.0 GHz
 18.015  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 18.016  TARGET       -m
 18.017  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 18.018  ACC    0     dB             M1U                                   +DV
 18.019  MEMC         0dB            3U            1.0GH

# Shut off the power before changing connections.
 19.001  IEEE         RF0
 19.002  CALL         Sub Output Off /LO

 19.003  HEAD         -2 1.4 GHz
 19.004  MATH         @FreqGHz = "1.4"; @LO_Freq = "1.52053 GHz"
 19.005  JMPL         CHECK_CON_ROLL_OFF_1.4_GHz

 19.006  TARGET       -p
# Reset picture flag to zero so picture is displayed for Repeat and Cancel.
 19.007  MATH         @MG369XB_8901_Con_AM = ""

 19.008  LABEL        CHECK_CON_ROLL_OFF_1.4_GHz
 19.009  CALL         Sub MG369XB Connection AM /8901,LO,FGEN,DMM
 19.010  TSET         TDESC = 1.4 GHz
 19.011  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 19.012  TARGET       -m
 19.013  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 19.014  ACC    0     dB             M1U                                   +DV
 19.015  MEMC         0dB            3U            1.4GH
 20.001  ENDIF        ; @Opt_4 || @Opt_5

 20.002  HEAD         -2 2.2 GHz
 20.003  MATH         @FreqGHz = "2.2"; @LO_Freq = "2.32053 GHz"
 20.004  JMPL         CHECK_CON_ROLL_OFF_2.2_GHz

 20.005  TARGET       -p
# Reset picture flag to zero so picture is displayed for Repeat and Cancel.
 20.006  MATH         @MG369XB_8901_Con_AM = ""

 20.007  LABEL        CHECK_CON_ROLL_OFF_2.2_GHz
 20.008  CALL         Sub MG369XB Connection AM /8901,LO,FGEN,DMM
 20.009  TSET         TDESC = 2.2 GHz
 20.010  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 20.011  TARGET       -m
 20.012  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 20.013  ACC    0     dB             M1U                                   +DV
 20.014  MEMC         0dB            3U            2.2GH

 21.001  HEAD         -2 2.3 GHz
 21.002  MATH         @FreqGHz = "2.3"; @LO_Freq = "2.42053 GHz"
 21.003  TARGET       -p
 21.004  TSET         TDESC = 2.3 GHz
 21.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 21.006  TARGET       -m
 21.007  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 21.008  ACC    0     dB             M1U                                   +DV
 21.009  MEMC         0dB            3U            2.3GH

 22.001  HEAD         -2 5.0 GHz
 22.002  MATH         @FreqGHz = "5.0"; @LO_Freq = "5.12053 GHz"
 22.003  TARGET       -p
 22.004  TSET         TDESC = 5.0 GHz
 22.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 22.006  TARGET       -m
 22.007  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 22.008  ACC    0     dB             M1U                                   +DV
 22.009  MEMC         0dB            3U            5.0GH

 23.001  HEAD         -2 8.3 GHz
 23.002  MATH         @FreqGHz = "8.3"; @LO_Freq = "8.42053 GHz"
 23.003  TARGET       -p
 23.004  TSET         TDESC = 8.3 GHz
 23.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 23.006  TARGET       -m
 23.007  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 23.008  ACC    0     dB             M1U                                   +DV
 23.009  MEMC         0dB            3U            8.3GH

 24.001  HEAD         -2 8.4 GHz
 24.002  MATH         @FreqGHz = "8.4"; @LO_Freq = "8.52053 GHz"
 24.003  TARGET       -p
 24.004  TSET         TDESC = 8.4 GHz
 24.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 24.006  TARGET       -m
 24.007  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 24.008  ACC    0     dB             M1U                                   +DV
 24.009  MEMC         0dB            3U            8.4GH

 25.001  IF           @MaxFreq > 10E+9
 25.002  TSET         TDESC = 14.0 GHz
 25.003  MATH         @FreqGHz = "14.0"; @LO_Freq = "14.12053 GHz"
 25.004  TARGET       -p
 25.005  HEAD         -2 14.0 GHz
 25.006  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 25.007  TARGET       -m
 25.008  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 25.009  ACC    0     dB             M1U                                   +DV
 25.010  MEMC         0dB            3U            14.0GH

 26.001  HEAD         -2 20.0 GHz
 26.002  MATH         @FreqGHz = "20.0"; @LO_Freq = "20.12053 GHz"
 26.003  TARGET       -p
 26.004  TSET         TDESC = 20.0 GHz
 26.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 26.006  TARGET       -m
 26.007  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 26.008  ACC    0     dB             M1U                                   +DV
 26.009  MEMC         0dB            3U            20.0GH

 27.001  IF           @MaxFreq > 20E+9
 27.002  TSET         TDESC = 23.0 GHz
 27.003  MATH         @FreqGHz = "23.0"; @LO_Freq = "23.12053 GHz"
 27.004  TARGET       -p
 27.005  HEAD         -2 23.0 GHz
 27.006  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 27.007  TARGET       -m
 27.008  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 27.009  ACC    0     dB             M1U                                   +DV
 27.010  MEMC         0dB            3U            23.0GH

 28.001  HEAD         -2 26.5 GHz
 28.002  MATH         @FreqGHz = "26.5"; @LO_Freq = "26.62053 GHz"
 28.003  TARGET       -p
 28.004  TSET         TDESC = 26.5 GHz
 28.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 28.006  TARGET       -m
 28.007  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 28.008  ACC    0     dB             M1U                                   +DV
 28.009  MEMC         0dB            3U            26.5GH

 29.001  HEAD         -2 30.0 GHz
 29.002  MATH         @FreqGHz = "30.0"; @LO_Freq = "30.12053 GHz"
 29.003  TARGET       -p
 29.004  TSET         TDESC = 30.0 GHz
 29.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 29.006  TARGET       -m
 29.007  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 29.008  ACC    0     dB             M1U                                   +DV
 29.009  MEMC         0dB            3U            30.0GH

 30.001  IF           @MaxFreq > 30E+9
 30.002  HEAD         -2 33.0 GHz
 30.003  MATH         @FreqGHz = "33.0"; @LO_Freq = "33.12053 GHz"
 30.004  TARGET       -p
 30.005  TSET         TDESC = 33.0 GHz
 30.006  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 30.007  TARGET       -m
 30.008  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 30.009  ACC    0     dB             M1U                                   +DV
 30.010  MEMC         0dB            3U            33.0GH

 31.001  HEAD         -2 36.0 GHz
 31.002  MATH         @FreqGHz = "36.0"; @LO_Freq = "36.12053 GHz"
 31.003  TARGET       -p
 31.004  TSET         TDESC = 36.0 GHz
 31.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 31.006  TARGET       -m
 31.007  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 31.008  ACC    0     dB             M1U                                   +DV
 31.009  MEMC         0dB            3U            36.0GH

 32.001  HEAD         -2 40.0 GHz
 32.002  MATH         @FreqGHz = "40.0"; @LO_Freq = "39.87947 GHz"
 32.003  TARGET       -p
 32.004  TSET         TDESC = 40.0 GHz
 32.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 32.006  TARGET       -m
 32.007  CALL         Sub MG369XB Calculate AM Roll Off /8901,LO,FGEN
 32.008  ACC    0     dB             M1U                                   +DV
 32.009  MEMC         0dB            3U            40.0GH
 33.001  ENDIF        ; @MaxFreq > 30E+9

 33.002  ENDIF        ; @MaxFreq > 20E+9

 33.003  ENDIF        ; @MaxFreq > 10E+9

 33.004  HEAD
 33.005  HEAD         -2
 33.006  CALL         Sub MG369XB Reset & SRQ Masks
 33.007  CALL         Sub Reset /FGEN
 33.008  CALL         Sub Reset /LO
 33.009  M8901        *
 33.010  8901         *                                                 S
 33.011  END

 33.012  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) AM Flatness /8901,LO,FGEN  ======================

 34.001  LABEL        AM_FLATNESS
 34.002  HEAD         AM FLATNESS
 34.003  RSLT         =
 34.004  RSLT         =AM FLATNESS
 34.005  TARGET       -p

 34.006  IF           @Opt_4 || @Opt_5
 34.007  HEAD         -2 1.0 GHz
 34.008  MATH         @FreqGHz = "1.0"; @LO_Freq = "1.60053 GHz"
 34.009  JMPL         CHECK_CON_FLATNESS_1.0_GHz

 34.010  TARGET       -p
# Reset picture flag to zero so picture is displayed for Repeat and Cancel.
 34.011  MATH         @MG369XB_8901_Con_AM = ""

 34.012  LABEL        CHECK_CON_FLATNESS_1.0_GHz
 34.013  CALL         Sub MG369XB Connection AM /8901,FGEN,DMM
 34.014  TSET         TDESC = 1.0 GHz
 34.015  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 34.016  TARGET       -m
 34.017  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 34.018  ACC    0     dB             M1U                                   +DV
 34.019  MEMC         0.0dB          0.3U          1.0GH

# Shut off the power before changing connections.
 35.001  IEEE         RF0
 35.002  CALL         Sub Output Off /LO

 35.003  HEAD         -2 1.4 GHz
 35.004  TSET         TDESC = 1.4 GHz
 35.005  MATH         @FreqGHz = "1.4"; @LO_Freq = "1.52053 GHz"
 35.006  JMPL         CHECK_CON_FLATNESS_1.4_GHz

 35.007  TARGET       -p
# Reset picture flag to zero so picture is displayed for Repeat and Cancel.
 35.008  MATH         @MG369XB_8901_Con_AM = ""

 35.009  LABEL        CHECK_CON_FLATNESS_1.4_GHz
 35.010  CALL         Sub MG369XB Connection AM /8901,LO,FGEN,DMM
 35.011  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 35.012  TARGET       -m
 35.013  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 35.014  ACC    0     dB             M1U                                   +DV
 35.015  MEMC         0.0dB          0.3U          1.4GH
 36.001  ENDIF        ; @Opt_4 || @Opt_5

 36.002  HEAD         -2 2.2 GHz
 36.003  TSET         TDESC = 2.2 GHz
 36.004  MATH         @FreqGHz = "2.2"; @LO_Freq = "2.32053 GHz"
 36.005  JMPL         CHECK_CON_FLATNESS_2.2_GHz

 36.006  TARGET       -p
# Reset picture flag to zero so picture is displayed for Repeat and Cancel.
 36.007  MATH         @MG369XB_8901_Con_AM = ""

 36.008  LABEL        CHECK_CON_FLATNESS_2.2_GHz
 36.009  CALL         Sub MG369XB Connection AM /8901,LO,FGEN,DMM
 36.010  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 36.011  TARGET       -m
 36.012  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 36.013  ACC    0     dB             M1U                                   +DV
 36.014  MEMC         0.0dB          0.3U          2.2GH

 37.001  HEAD         -2 2.3 GHz
 37.002  TSET         TDESC = 2.3 GHz
 37.003  MATH         @FreqGHz = "2.3"; @LO_Freq = "2.42053 GHz"
 37.004  TARGET       -p
 37.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 37.006  TARGET       -m
 37.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 37.008  ACC    0     dB             M1U                                   +DV
 37.009  MEMC         0.0dB          0.3U          2.3GH

 38.001  HEAD         -2 5.0 GHz
 38.002  TSET         TDESC = 5.0 GHz
 38.003  MATH         @FreqGHz = "5.0"; @LO_Freq = "5.12053 GHz"
 38.004  TARGET       -p
 38.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 38.006  TARGET       -m
 38.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 38.008  ACC    0     dB             M1U                                   +DV
 38.009  MEMC         0.0dB          0.3U          5.0GH

 39.001  HEAD         -2 8.3 GHz
 39.002  TSET         TDESC = 8.3 GHz
 39.003  MATH         @FreqGHz = "8.3"; @LO_Freq = "8.42053 GHz"
 39.004  TARGET       -p
 39.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 39.006  TARGET       -m
 39.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 39.008  ACC    0     dB             M1U                                   +DV
 39.009  MEMC         0.0dB          0.3U          8.3GH

 40.001  HEAD         -2 8.4 GHz
 40.002  TSET         TDESC = 8.4 GHz
 40.003  MATH         @FreqGHz = "8.4"; @LO_Freq = "8.52053 GHz"
 40.004  TARGET       -p
 40.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 40.006  TARGET       -m
 40.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 40.008  ACC    0     dB             M1U                                   +DV
 40.009  MEMC         0.0dB          0.3U          8.4GH

 41.001  IF           @MaxFreq > 10E+9
 41.002  HEAD         -2 14.0 GHz
 41.003  TSET         TDESC = 14.0 GHz
 41.004  MATH         @FreqGHz = "14.0"; @LO_Freq = "14.12053 GHz"
 41.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 41.006  TARGET       -m
 41.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 41.008  ACC    0     dB             M1U                                   +DV
 41.009  MEMC         0.0dB          0.3U          14.0GH

 42.001  HEAD         -2 20.0 GHz
 42.002  TSET         TDESC = 20.0 GHz
 42.003  MATH         @FreqGHz = "20.0"; @LO_Freq = "20.12053 GHz"
 42.004  TARGET       -p
 42.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 42.006  TARGET       -m
 42.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 42.008  ACC    0     dB             M1U                                   +DV
 42.009  MEMC         0.0dB          0.3U          20.0GH

 43.001  IF           @MaxFreq > 20E+9
 43.002  HEAD         -2 23.0 GHz
 43.003  TSET         TDESC = 23.0 GHz
 43.004  MATH         @FreqGHz = "23.0"; @LO_Freq = "23.12053 GHz"
 43.005  TARGET       -p
 43.006  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 43.007  TARGET       -m
 43.008  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 43.009  ACC    0     dB             M1U                                   +DV
 43.010  MEMC         0.0dB          0.3U          23.0GH

 44.001  HEAD         -2 26.5 GHz
 44.002  TSET         TDESC = 26.5 GHz
 44.003  MATH         @FreqGHz = "26.5"; @LO_Freq = "26.62053 GHz"
 44.004  TARGET       -p
 44.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 44.006  TARGET       -m
 44.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 44.008  ACC    0     dB             M1U                                   +DV
 44.009  MEMC         0.0dB          0.3U          26.5GH

 45.001  HEAD         -2 30.0 GHz
 45.002  TSET         TDESC = 30.0 GHz
 45.003  MATH         @FreqGHz = "30.0"; @LO_Freq = "30.12053 GHz"
 45.004  TARGET       -p
 45.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 45.006  TARGET       -m
 45.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 45.008  ACC    0     dB             M1U                                   +DV
 45.009  MEMC         0.0dB          0.3U          30.0GH

 46.001  IF           @MaxFreq > 30E+9
 46.002  HEAD         -2 33.0 GHz
 46.003  TSET         TDESC = 33.0 GHz
 46.004  MATH         @FreqGHz = "33.0"; @LO_Freq = "33.12053 GHz"
 46.005  TARGET       -p
 46.006  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 46.007  TARGET       -m
 46.008  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 46.009  ACC    0     dB             M1U                                   +DV
 46.010  MEMC         0.0dB          0.3U          33.0GH

 47.001  HEAD         -2 36.0 GHz
 47.002  TSET         TDESC = 36.0 GHz
 47.003  MATH         @FreqGHz = "36.0"; @LO_Freq = "36.12053 GHz"
 47.004  TARGET       -p
 47.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 47.006  TARGET       -m
 47.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 47.008  ACC    0     dB             M1U                                   +DV
 47.009  MEMC         0.0dB          0.3U          36.0GH

 48.001  HEAD         -2 40.0 GHz
 48.002  TSET         TDESC = 40.0 GHz
 48.003  MATH         @FreqGHz = "40.0"; @LO_Freq = "39.87947 GHz"
 48.004  TARGET       -p
 48.005  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMAM1AMS50PCV[D300]
 48.006  TARGET       -m
 48.007  CALL         Sub MG369XB Calculate AM Flatness /8901,LO,FGEN
 48.008  ACC    0     dB             M1U                                   +DV
 48.009  MEMC         0.0dB          0.3U          40.0GH
 49.001  ENDIF        ; @MaxFreq > 30E+9

 49.002  ENDIF        ; @MaxFreq > 20E+9

 49.003  ENDIF        ; @MaxFreq > 10E+9

 49.004  HEAD
 49.005  HEAD         -2
 49.006  CALL         Sub MG369XB Reset & SRQ Masks
 49.007  CALL         Sub Reset /FGEN
 49.008  CALL         Sub Reset /LO
 49.009  M8901        *
 49.010  8901         *                                                 S
 49.011  END
