﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) FM Accuracy /uWCTR,FGEN,DMM
DATE:                  2010-02-10 07:24:15
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       108
CONFIGURATION:         Microwave Counter
CONFIGURATION:         Function Generator
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (V7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Reset & SRQ Masks
#        Sub Reset /uWCTR
#        Sub Setup /uWCTR
#        Sub Read /uWCTR
#        Sub Reset /FGEN
#        Sub Apply /FGEN
#        Sub Reset /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#
#  Required Files:
#        MG369XB_uwctr_fgen_dmm.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statements to force header to contain reference used in subprocedure.
  1.001  IF           0
  1.002  IEEE         [@uWCTR]
  1.003  IEEE         [@FGEN]
  1.004  IEEE         [@DMM]
  1.005  ENDIF

  1.006  RSLT         =
  1.007  HEAD         -2{ Unlocked Narrow External FM Accuracy}
  1.008  MATH         uWCTR          = @uWCTR_DevName
  1.009  MATH         @uWCTR_Func    = "Freq_Ch1"
  1.010  MATH         @uWCTR_ROSC    = "Ext"
  1.011  MATH         @FGEN_Waveform = "DC"
  1.012  MATH         @FGEN_Imp      = "50 Ohm"
  1.013  MATH         @DMM_Func      = "DC_Voltage"
  1.014  TARGET       -p
  1.015  CALL         Sub MG369XB Reset & SRQ Masks
  1.016  PIC          MG369XB_uwctr_fgen_dmm
  1.017  CALL         Sub Reset /FGEN
  1.018  CALL         Sub Reset /DMM
  1.019  CALL         Sub Reset /uWCTR
  1.020  CALL         Sub Setup /DMM
# Adjust function generator amplitude for 1.000 +/-0.0001 V.
  1.021  MATH         Target = 1.0; MEM = Target

  1.022  DO
  1.023  MATH         @FGEN_Ampl = (Target + (Target - MEM)) & " V"
  1.024  CALL         Sub Apply /FGEN
  1.025  CALL         Sub Read /DMM
  1.026  UNTIL        ABS(Target - MEM) < 0.001

  1.027  CALL         Sub Setup /uWCTR
# CF15GH (5 GHz)
# FMS99.8KV (Sensitivity 10 MHz/V)
# FM1 (Unlocked Narrow External FM)
# RF1 (Output On)
  1.028  IEEE         CF15.0GHFMS10MVFM1RF1
  1.029  TARGET       -m
  1.030  DISP         Disconnect the +1 V DC signal from the UUT FM/PM IN.
  1.031  WAIT         [D500]
  1.032  CALL         Sub Read /uWCTR
  1.033  MATH         FMref = MEM / 1E+9
  1.034  DISP         Reconnect the +1 V DC signal to the UUT FM/PM IN.
  1.035  WAIT         [D500]
  1.036  CALL         Sub Read /uWCTR
  1.037  MATH         FMmod = MEM / 1E+9
# Compute FM error.
  1.038  MATH         FMerr = 1 - ((FMmod - FMref) / 0.010)
# Compute actual FM deviation in megahertz.
  1.039  MATH         MEM = 10 + (FMerr * 10)
  1.040  ACC    10    MHz            0.1%
  1.041  MEMC         10.0MHz        10%           5GHz

  2.001  HEAD         -2
  2.002  CALL         Sub MG369XB Reset & SRQ Masks
  2.003  CALL         Sub Reset /FGEN
  2.004  CALL         Sub Reset /DMM
  2.005  CALL         Sub Reset /uWCTR
  2.006  END

