﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Pwr Lvl Log VER /ML2437
DATE:                  2009-01-29 16:46:04
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       91
CONFIGURATION:         Anritsu ML2437A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  Subprocedures:
#        Sub MG369XB (2 yr) Pwr Lvl Log Tests >19 dBm /ML2437
#        Sub MG369XB (2 yr) Pwr Lvl Log Tests <=19 dBm /ML2437
#        Sub MG369XB Set Max Power
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statement to force procedure header to include references used in
# subprocedures called.
  1.001  IF           0
  1.002  ML2437       Reset
  1.003  ENDIF

  1.004  IF           @Opt_2
  1.005  IEEE         AT1
  1.006  ENDIF

  1.007  IF           @Opt_4 || @Opt_5

  1.008  IF           @Opt_5
  1.009  MATH         @FreqGHz = "1.999"
  1.010  ELSE
  1.011  MATH         @FreqGHz = "2.199"
  1.012  ENDIF

  1.013  CALL         Sub MG369XB Set Max Power
  1.014  MATH         @RsltFreq = @RsltLogFreq1
  1.015  MATH         @RsltFreqNSD = 4

  1.016  IF           (@Iteration == 1) && (@MaxPower > +19)
  1.017  CALL         Sub MG369XB (2 yr) Pwr Lvl Log Tests >19 dBm /ML2437
  1.018  ELSEIF       (@Iteration == 2)
  1.019  CALL         Sub MG369XB (2 yr) Pwr Lvl Log Tests <=19 dBm /ML2437
  1.020  ENDIF

  1.021  MATH         @RsltLogFreq1 = @RsltFreq
  1.022  MATH         @RsltFreqNSD = @DefaultRsltFreqNSD
  1.023  ENDIF        ; @Opt_4 || @Opt_5

  1.024  IF           @Opt_4
  1.025  MATH         @FreqGHz = "2.201"
  1.026  ELSE
  1.027  MATH         @FreqGHz = "2.001"
  1.028  ENDIF

  1.029  CALL         Sub MG369XB Set Max Power
  1.030  MATH         @RsltFreq = @RsltLogFreq2
  1.031  MATH         @RsltFreqNSD = 4

  1.032  IF           (@Iteration == 1) && (@MaxPower > +19)
  1.033  CALL         Sub MG369XB (2 yr) Pwr Lvl Log Tests >19 dBm /ML2437
  1.034  ELSEIF       (@Iteration == 2)
  1.035  CALL         Sub MG369XB (2 yr) Pwr Lvl Log Tests <=19 dBm /ML2437
  1.036  ENDIF

  1.037  MATH         @RsltLogFreq2 = @RsltFreq
  1.038  MATH         @RsltFreqNSD = @DefaultRsltFreqNSD
  1.039  END
