﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Pwr Level Test /ML2530
INSTRUMENT:            Sub MG369XB (2 yr) Pwr Level Test /ML2530,LO
DATE:                  2010-02-10 07:23:15
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       129
CONFIGURATION:         Anritsu ML2530A
CONFIGURATION:         Local Oscillator
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  Subprocedures:
#        Sub MG369XB Connection /ML2530
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           NOT(@RsltFreq)
  1.002  MATH         Freq = ENGR_NSD(@FreqGHz, "GHz", 3)
  1.003  RSLT         =
  1.004  RSLT         = [V Freq]
  1.005  MATH         @RsltFreq = 1
  1.006  ENDIF

# DO NOT change the order these JMPL statements!
  1.007  JMPL         PWR_LEVEL_TEST_ML2530A_LO    PSUB("ML2530,LO")
  1.008  JMPL         PWR_LEVEL_TEST_ML2530A       PSUB("ML2530")
  1.009  DISP         Called subprocedure not found!
  1.010  END

  1.011  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Pwr Level Test /ML2530  =========================

  2.001  LABEL        PWR_LEVEL_TEST_ML2530A
  2.002  TARGET       -p
  2.003  TSET         MEAS = SA; CPT = [V @LvldBm]; NTHROW = 0
  2.004  CALL         Sub MG369XB Connection /ML2530
  2.005  ML2530       NoSensorModuleRequired; Setup
  2.005  ML2530       Bandwidth = 10 Hz; AverageCount = 1
  2.005  ML2530       Freq = [V @FreqGHz] GHz; FreqSpan = 10 kHz
  2.005  ML2530       +Level = [V @LvldBm] dBm; Offset = [V @Offset] dBm
  2.006  IEEE         CF1[V @FreqGHz]GHL1[V @LvldBm]DMRF1[D500]
  2.007  TARGET       -m
  2.008  ML2530       NoSensorModuleRequired; Read
  2.008  ML2530       Bandwidth = 10 Hz; AverageCount = 1
  2.008  ML2530       Freq = [V @FreqGHz] GHz; FreqSpan = 10 kHz
  2.008  ML2530       +Level = [V @LvldBm] dBm; Offset = [V @Offset] dBm
# ACC Tolerance is measurement uncertainty from Anritsu MG369XB Test Record.
# Need actual ML2530A relative accuracy RSS'd with ML2430A accuracy of
# reference power reading (-30 dBm Thermal Sensor, -50 dBm otherwise).
  2.009  ACC          dBm            0.49U                                 +W

  2.010  IF           @FreqGHz > 40
  2.011  TOL          1.5U
  2.012  ELSEIF       @FreqGHz > 0.020 && NOT(@Opt_15)
  2.013  TOL          1.0U
  2.014  ELSE
  2.015  TOL          1.5U
  2.016  ENDIF

  2.017  MATH         MEM1 = @LvldBm
  2.018  MEMC   25    dBm            TOL

  3.001  END

  3.002  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Pwr Level Test /ML2530,LO  ======================

# Dummy statement to force procedure header to include LO.
  4.001  IEEE         [@LO]

  4.002  LABEL        PWR_LEVEL_TEST_ML2530A_LO
  4.003  TSET         MEAS = SA; CPT = [V @LvldBm]; NTHROW = 0
  4.004  TARGET       -p
  4.005  CALL         Sub MG369XB Connection /ML2530
  4.006  MATH         @LO_Freq = @LoFreqMHz & "MHz"; @LO_Ampl = "+6 dBm"
  4.007  CALL         Sub Apply /LO
  4.008  ML2530       NoSensorModuleRequired; Setup
  4.008  ML2530       Bandwidth = 10 Hz; AverageCount = 1
  4.008  ML2530       Freq = [V @RecFreqMHz] MHz; FreqSpan = 10 kHz
  4.008  ML2530       +Level = [V @LvldBm] dBm; Offset = [V @Offset] dBm
  4.009  IEEE         CF1[V @FreqGHz]GHL1[V @LvldBm]DMRF1[D500]
  4.010  TARGET       -m
  4.011  ML2530       NoSensorModuleRequired; Read
  4.011  ML2530       Bandwidth = 10 Hz; AverageCount = 1
  4.011  ML2530       Freq = [V @RecFreqMHz] MHz; FreqSpan = 10 kHz
  4.011  ML2530       +Level = [V @LvldBm] dBm; Offset = [V @Offset] dBm
# ACC Tolerance is measurement uncertainty from Anritsu MG369XB Test Record.
# Need actual ML2530A relative accuracy RSS'd with ML2430A accuracy of
# reference power reading (-30 dBm Thermal Sensor, -50 dBm otherwise).
  4.012  ACC          dBm            0.49U                                 +W

  4.013  IF           @FreqGHz > 40
  4.014  TOL          1.5U
  4.015  ELSEIF       @FreqGHz > 0.020 && NOT(@Opt_15)
  4.016  TOL          1.0U
  4.017  ELSE
  4.018  TOL          1.5U
  4.019  ENDIF

  4.020  MATH         MEM1 = @LvldBm
  4.021  MEMC   25    dBm            TOL

  5.001  END
