﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Internal AM Acc /8901,LO
DATE:                  2009-09-10 13:37:23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       16
NUMBER OF LINES:       265
CONFIGURATION:         HP 8901B
CONFIGURATION:         Anritsu 68369B
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB with Option 14, 25X, or 28X
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Calculate AM /8901,LO
#        Sub MG369XB Connection AM /8901,LO,FGEN,DMM
#        Sub MG369XB Reset & SRQ Masks
#        Sub Reset /LO
#        Sub Apply /LO
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#
#        Precision Fixed Attenuator Set (DC to 40 GHz)
#          Anritsu P/N 41KC-S
#            Includes:
#              41KC-3
#              41KC-6
#              41KC-10
#              41KC-20
#
#         Precision Fixed Attenuator Set (DC to 60 GHz)
#           Anritsu P/N 41V-S
#             Includes:
#               41V-3
#               41V-6
#               41V-10
#               41V-20
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statements to force header to contain reference used in subprocedure.
  1.001  IF           0
  1.002  IEEE         [@LO]
  1.003  ENDIF

# =====  Sub MG369XB (2 yr) Internal AM Accuracy /8901,LO  ==================

  1.004  MATH         @LO_Ampl = "+6 dBm"
  1.005  MATH         @LO_ROSC = "Ext"

  1.006  LABEL        INTERNAL_AM_ACCURACY
  1.007  HEAD         INTERNAL AM ACCURACY at 50 % MODULATION
  1.008  RSLT         =
  1.009  RSLT         =Internal AM Accuracy at 50 % Modulation
  1.010  CALL         Sub MG369XB Reset & SRQ Masks
  1.011  CALL         Sub Reset /LO
# Reset M8901 data here because some fields are "sticky".
  1.012  M8901        *

# 1.0 GHz
  1.013  IF           @Opt_4 || @Opt_5
  1.014  MATH         @LO_Freq = "1.60053 GHz"
  1.015  JMPL         CHECK_CON_AM_1.0GHz

  1.016  TARGET       -p
  1.017  MATH         @MG369XB_8901_Con_AM = ""

  1.018  LABEL        CHECK_CON_AM_1.0GHz
  1.019  CALL         Sub MG369XB Connection AM /8901,FGEN,DMM
  1.020  TSET         TDESC = 1.0 GHz
  1.021  IEEE         CF11.0GHL1[V @L1]DMAMR1KHADP150PCTAM7[D300]RF1[D50]
  1.022  TARGET       -m
  1.023  CALL         Sub MG369XB Calculate AM /8901,LO
  1.024  ACC    50    pct            M1%
  1.025  MEMC         50pct          5U            1.0GH

# Shut off the power before changing connections.
  2.001  IEEE         RF0
  2.002  CALL         Sub Output Off /LO

# 1.4 GHz
  2.003  MATH         @LO_Freq = "1.52053 GHz"
  2.004  JMPL         CHECK_CON_AM_1.4GHz

  2.005  TARGET       -p
  2.006  MATH         @MG369XB_8901_Con_AM = ""

  2.007  LABEL        CHECK_CON_AM_1.4GHz
  2.008  CALL         Sub MG369XB Connection AM /8901,LO,FGEN,DMM
  2.009  TSET         TDESC = 1.4 GHz
  2.010  IEEE         CF11.4GHL1[V @L1]DMAMR1KHADP150PCTAM7[D300]RF1[D50]
  2.011  TARGET       -m
  2.012  CALL         Sub MG369XB Calculate AM /8901,LO
  2.013  ACC    50    pct            M1%
  2.014  MEMC         50pct          5U            1.4GH
  3.001  ENDIF

# 2.2 GHz
  3.002  MATH         @LO_Freq = "2.32053 GHz"
  3.003  JMPL         CHECK_CON_AM_2.2GHz

  3.004  TARGET       -p
  3.005  MATH         @MG369XB_8901_Con_AM = ""

  3.006  LABEL        CHECK_CON_AM_2.2GHz
  3.007  CALL         Sub MG369XB Connection AM /8901,LO,FGEN,DMM
  3.008  TSET         TDESC = 2.2 GHz
  3.009  IEEE         CF12.2GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
  3.010  TARGET       -m
  3.011  CALL         Sub MG369XB Calculate AM /8901,LO
  3.012  ACC    50    pct            M1%
  3.013  MEMC         50pct          5U            2.2GH

# 2.3 GHz
  4.001  MATH         @LO_Freq = "2.42053 GHz"
  4.002  TARGET       -p
  4.003  TSET         TDESC = 2.3 GHz
  4.004  IEEE         CF12.3GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
  4.005  TARGET       -m
  4.006  CALL         Sub MG369XB Calculate AM /8901,LO
  4.007  ACC    50    pct            M1%
  4.008  MEMC         50pct          5U            2.3GH

# 5.0 GHz
  5.001  MATH         @LO_Freq = "5.12053 GHz"
  5.002  TARGET       -p
  5.003  TSET         TDESC = 5.0 GHz
  5.004  IEEE         CF15.0GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
  5.005  TARGET       -m
  5.006  CALL         Sub MG369XB Calculate AM /8901,LO
  5.007  ACC    50    pct            M1%
  5.008  MEMC         50pct          5U            5.0GH

# 8.3 GHz
  6.001  MATH         @LO_Freq = "8.42053 GHz"
  6.002  TSET         TDESC = 8.3 GHz
  6.003  IEEE         CF18.3GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
  6.004  TARGET       -m
  6.005  CALL         Sub MG369XB Calculate AM /8901,LO
  6.006  ACC    50    pct            M1%
  6.007  MEMC         50pct          5U            8.3GH

# 8.4 GHz
  7.001  MATH         @LO_Freq = "8.52053 GHz"
  7.002  TARGET       -p
  7.003  TSET         TDESC = 8.4 GHz
  7.004  IEEE         CF18.4GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
  7.005  TARGET       -m
  7.006  CALL         Sub MG369XB Calculate AM /8901,LO
  7.007  ACC    50    pct            M1%
  7.008  MEMC         50pct          5U            8.4GH

# 14.0 GHz
  8.001  IF           @MaxFreq > 10E+9
  8.002  MATH         @LO_Freq = "14.12053 GHz"
  8.003  TARGET       -p
  8.004  TSET         TDESC = 14.0 GHz
  8.005  IEEE         CF114.0GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
  8.006  TARGET       -m
  8.007  CALL         Sub MG369XB Calculate AM /8901,LO
  8.008  ACC    50    pct            M1%
  8.009  MEMC         50pct          5U            14.0GH

# 20.0 GHz
  9.001  MATH         @LO_Freq = "20.12053 GHz"
  9.002  TARGET       -p
  9.003  TSET         TDESC = 20.0 GHz
  9.004  IEEE         CF120.0GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
  9.005  TARGET       -m
  9.006  CALL         Sub MG369XB Calculate AM /8901,LO
  9.007  ACC    50    pct            M1%
  9.008  MEMC         50pct          5U            20.0GH

# 23.0 GHz
 10.001  IF           @MaxFreq > 20E+9
 10.002  MATH         @LO_Freq = "23.12053 GHz"
 10.003  TARGET       -p
 10.004  TSET         TDESC = 23.0 GHz
 10.005  IEEE         CF123.0GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
 10.006  TARGET       -m
 10.007  CALL         Sub MG369XB Calculate AM /8901,LO
 10.008  ACC    50    pct            M1%
 10.009  MEMC         50pct          5U            23.0GH

# 26.5 GHz
 11.001  MATH         @LO_Freq = "26.62053 GHz"
 11.002  TARGET       -p
 11.003  TSET         TDESC = 26.5 GHz
 11.004  IEEE         CF126.5GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
 11.005  TARGET       -m
 11.006  CALL         Sub MG369XB Calculate AM /8901,LO
 11.007  ACC    50    pct            M1%
 11.008  MEMC         50pct          5U            26.5GH

# 30.0 GHz
 12.001  MATH         @LO_Freq = "30.12053 GHz"
 12.002  TARGET       -p
 12.003  TSET         TDESC = 30.0 GHz
 12.004  IEEE         CF130.0GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
 12.005  TARGET       -m
 12.006  CALL         Sub MG369XB Calculate AM /8901,LO
 12.007  ACC    50    pct            M1%
 12.008  MEMC         50pct          5U            30.0GH

# 33.0 GHz
 13.001  IF           @MaxFreq > 30E+9
 13.002  MATH         @LO_Freq = "33.12053 GHz"
 13.003  TARGET       -p
 13.004  TSET         TDESC = 33.0 GHz
 13.005  IEEE         CF133.0GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
 13.006  TARGET       -m
 13.007  CALL         Sub MG369XB Calculate AM /8901,LO
 13.008  ACC    50    pct            M1%
 13.009  MEMC         50pct          5U            33.0GH

# 36.0 GHz
 14.001  MATH         @LO_Freq = "36.12053 GHz"
 14.002  TARGET       -p
 14.003  TSET         TDESC = 36.0 GHz
 14.004  IEEE         CF136.0GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
 14.005  TARGET       -m
 14.006  CALL         Sub MG369XB Calculate AM /8901,LO
 14.007  ACC    50    pct            M1%
 14.008  MEMC         50pct          5U            36.0GH

# 40.0 GHz
 15.001  MATH         @LO_Freq = "39.87947 GHz"
 15.002  TARGET       -p
 15.003  TSET         TDESC = 40.0 GHz
 15.004  IEEE         CF140.0GHL1[V @L1]DMAM7AMR1KHADP150PCT[D300]RF1[D50]
 15.005  TARGET       -m
 15.006  CALL         Sub MG369XB Calculate AM /8901,LO
 15.007  ACC    50    pct            M1%
 15.008  MEMC         50pct          5U            40.0GH
 16.001  ENDIF        ; @MaxFreq > 30E+9

 16.002  ENDIF        ; @MaxFreq > 20E+9

 16.003  ENDIF        ; @MaxFreq > 10E+9

 16.004  HEAD
 16.005  HEAD         -2
 16.006  CALL         Sub MG369XB Reset & SRQ Masks
 16.007  CALL         Sub Reset /LO
 16.008  M8901        *
 16.009  8901         *                                                 S
 16.010  END
