﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Connection /8560
INSTRUMENT:            Sub MG369XB FM PM Connection /8560,FGEN
INSTRUMENT:            Sub MG369XB Log Scale FI Acc /8560
DATE:                  2009-05-27 16:33:43
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       106
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL V7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Audible Prompt
#        Sub MG369XB Init Connection Flags
#
#  Required Files:
#        MG369xB_8560_K.jpg
#        8560.acc Revision 1.14 or later
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         MG369XB_856X_FM_PM_CON       PSUBI("FM PM")
  1.002  JMPL         MG369XB_856X_CON             PSUBI("Connection")
  1.003  JMPL         MG369XB_856X_LOG_FI_ACC      PSUBI("Log Scale FI Acc")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# =====  Sub MG369XB Connection /8560  ======================================

  2.001  LABEL        MG369XB_856X_CON

  2.002  IF           EMPTY(@MG369XB_8560_Con)
  2.003  CALL         Sub Audible Prompt
  2.004  CALL         Sub MG369XB Init Connection Flags

  2.005  IF           ZCMP(@MG369XB_Con, "K")
  2.006  PIC          MG369xB_8560_K
  2.007  MATH         @MG369XB_8560_Con = "MG369xB_8565E_K"
  2.008  ELSE
  2.009  PIC          MG369xB_8560_V
  2.010  MATH         @MG369XB_8560_Con = "MG369xB_8565E_V"
  2.011  ENDIF

  2.012  ENDIF

  2.013  END

  2.014  EVAL   Increment step number

# =====  Sub MG369XB FM PM Connection /8560  ================================

  3.001  LABEL        MG369XB_856X_FM_PM_CON

  3.002  IF           EMPTY(@MG369XB_8560_Con_FM_PM)
  3.003  CALL         Sub Audible Prompt
  3.004  CALL         Sub MG369XB Init Connection Flags

  3.005  IF           ZCMP(@MG369XB_Con, "K")
  3.006  PIC          MG369xB_8560_FM_PM_K
  3.007  MATH         @MG369XB_8560_Con_FM_PM = "MG369xB_8565_FM_PM_K"
  3.008  ELSE
  3.009  PIC          MG369xB_8560_FM_PM_V
  3.010  MATH         @MG369XB_8560_Con_FM_PM = "MG369xB_8565_FM_PM_V"
  3.011  ENDIF

  3.012  ENDIF

  3.013  END

  3.014  EVAL   Increment step number

# =====  Sub MG369XB Log Scale FI Acc /8560  ================================

  4.001  LABEL        MG369XB_856X_LOG_FI_ACC

# If measurement difference is less than -100, use the accuracy at -100.
  4.002  IF           MEM < -100
  4.003  MATH         M[1] = ACCV2("HP 8560", @ModeLogFi, -100, @Freq)
  4.004  ELSE
  4.005  MATH         M[1] = ACCV2("HP 8560", @ModeLogFi, MEM, @Freq)
  4.006  ENDIF

  4.007  END

