﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Calculate Mod Index
DATE:                  2008-10-15 11:51:26
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       66
=============================================================================
#
#  Procedure Author:
#        BS, DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL V7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
#  Inputs:
#        @Vmodon    = Amplitude with modulation on.
#        @Vmodoff   = Amplitude with modulation off.
#        @ConstantA = 1
#
#  Output:
#        @ModIndex
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         L[30] = @ConstantA; Ctr = 1

  1.002  DO
  1.003  MATH         L[1] =  L[30]    / 2
  1.004  MATH         L[2]  = L[30]^2  / 4
  1.005  MATH         L[3]  = L[30]^3  / 16
  1.006  MATH         L[4]  = L[30]^4  / 64
  1.007  MATH         L[5]  = L[30]^5  / 384
  1.008  MATH         L[6]  = L[30]^6  / 2304
  1.009  MATH         L[7]  = L[30]^7  / 18432
  1.010  MATH         L[8]  = L[30]^8  / 147456
  1.011  MATH         L[9]  = L[30]^9  / 1474560
  1.012  MATH         L[10] = L[30]^10 / 14745600

  1.013  MATH         L[20] = (-1 * L[1]) + L[3] - L[5] + L[7] - L[9]
  1.014  MATH         L[21] = 1 - L[2] + L[4] - L[6] + L[8] - L[10]
  1.015  MATH         L[22] = 10^((@Vmodon - @Vmodoff) / 20)

  1.016  MATH         L[30] = L[30] - ((L[21] - L[22]) / L[20])
  1.017  MATH         Ctr = Ctr + 1
  1.018  UNTIL        Ctr > 13

  1.019  MATH         @ModIndex = L[30]
  1.020  END
