﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Calculate Pulse Accuracy /86100,83484,FGEN
DATE:                  2010-02-10 07:21:14
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       75
CONFIGURATION:         Function Generator
CONFIGURATION:         Agilent 86100A
STANDARD:              Agilent 83484A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB with Option 13, 24, 26X, or 27
#
#  Compatibility:
#        MET/CAL V7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Pulse Mod Measurement /86100,83484
#
#  Flexible Driver subprocedures:
#        Sub Apply /FGEN
#
#  User-configured Instrument Drivers
#        Sub Trigger Command /86100
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statements to force header to contain reference used in subprocedure.
  1.001  IF           0
  1.002  IEEE         [@FGEN]
  1.003  IEEE         [@86100]
  1.004  STD          Agilent 83484A
  1.005  ENDIF

  1.006  MATH         @86100_TriggerSource = "FreeRun"
  1.007  CALL         Sub Trigger Command /86100
  1.008  SCPI         [@86100][V @86100_TriggerCmd]
  1.009  IEEE         P0[D200]
  1.010  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  1.011  MATH         Vref = MEM
  1.012  MATH         @86100_TriggerSource = "LeftModule"
  1.013  CALL         Sub Trigger Command /86100
  1.014  SCPI         [@86100][V @86100_TriggerCmd]

  1.015  IF           @Opt_24
  1.016  IEEE         IP
  1.017  ELSE
  1.018  IEEE         XP
  1.019  CALL         Sub Apply /FGEN
  1.020  ENDIF

  1.021  WAIT         [D200]
  1.022  CALL         Sub MG369XB Pulse Mod Measurement /86100,83484
  1.023  MATH         Vpulse = MEM
  1.024  MATH         MEM = CRND((20 * LOG(Vpulse / Vref)), 0.01)
  1.025  END
