﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Init PN9000 Results
INSTRUMENT:            Sub MG369XB Get PN9000 Result
INSTRUMENT:            Sub MG369XB Get Max PN9000 Result
DATE:                  2010-02-11 15:42:52
AUTHOR:                AWS
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       4
NUMBER OF LINES:       249
=============================================================================
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Get PN File Parms
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         INIT                         PSUB("Init")
  1.002  JMPL         GET                          PSUB("Get PN9000")
  1.003  JMPL         GETMAX                       PSUB("Get Max")
  1.004  DISP         Called subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# =====  Sub MG369XB Init PN9000 Results  ===================================

  2.001  LABEL        INIT

  2.002  OPBR         -z Have you collected phase noise data on the PN9000
  2.002  OPBR         system as described in the accompanying phase noise
  2.002  OPBR         testing instructions?

  2.003  IF           MEM1
  2.004  DO
  2.005  MEM2         Enter the location of the PN9000 data folders.
  2.006  MATH         @MG369XB_PN9000_Result_Location = MEM2
  2.007  UNTIL        NOT(ZCMPI(@MG369XB_PN9000_Result_Location, ""))
  2.008  ELSE
  2.009  DISP         You must first collect phase noise data on the PN9000
  2.009  DISP         system as described in the accompanying phase noise
  2.009  DISP         testing instructions.  Then rerun this procedure.
  2.010  MATH         @MG369XB_PN9000_Result_Location = ""
  2.011  ENDIF

  2.012  END

  2.013  EVAL   Increment step number

# =====  Sub MG369XB Get PN9000 Results  ====================================

  3.001  LABEL        GET
  3.002  MATH         S[1] = @MG369XB_PN9000_Result_Location

# Get the directory name based on the test frequency.
  3.003  MATH         S[2] = @MG369XB_PN9000_Result_TestFreq
  3.004  MATH         S[2] = REPL(".", "_", S[2])
  3.005  MATH         S[2] = REPL(" ", "", S[2])

#  Get the file name based on the frequency offset.
  3.006  MATH         @FreqOffset = @MG369XB_PN9000_Result_FOffset
  3.007  CALL         Sub MG369XB Get PN File Parms

  3.008  IF           NOT(@Success)
  3.009  MATH         S[30] = "Error in \"" & PROC()  & "\""
  3.010  MATH         S[31] = "Can't get PN9000 file parameters."
  3.011  MATH         S[32] = "At Test Frequency: "
  3.012  MATH         S[32] = S[32] & @MG369XB_PN9000_Result_FOffset
  3.013  DISP         {[S30]}
  3.013  DISP         {[S31]}
  3.013  DISP         {[S32]}
  3.014  MATH         @Success = 0
  3.015  END
  3.016  ENDIF

  3.017  MATH         FileNum = @PN_DecadeNum
  3.018  MATH         FStart = @FreqStart
  3.019  MATH         FEnd = @FreqStop

  3.020  MATH         S[3] = "D" & FileNum
  3.021  MATH         S[3] = S[3] & @MG369XB_PN9000_Result_Type
  3.022  MATH         FileName = S[1] & "\\" & S[2] & "\\" & S[3]

# Make sure the file exists before trying to read it.
  3.023  IF           NOT(EXISTS(FileName))
  3.024  MATH         S[30] = "Error in \"" & PROC()  & "\""
  3.025  MATH         S[31] = FileName & " does not exist."
  3.026  DISP         {[S30]}
  3.026  DISP         {[S31]}
  3.027  MATH         @Success = 0
  3.028  END
  3.029  ENDIF

# Check if there was data collected in this frequency range.  The file
# should have 441 lines of which 370 are data in which we are interested.
  3.030  MATH         L[1] = LINECOUNT(FileName)

  3.031  IF           L[1] != 441
  3.032  MATH         S[30] = "Error in \"" & PROC()  & "\""
  3.033  MATH         S[31] = FileName & " is the wrong size."
  3.034  MATH         S[32] = "It should contain 441 lines but contains: "
  3.035  MATH         S[32] = S[32] & L[1]
  3.036  DISP         {[S30]}
  3.036  DISP         {[S31]}
  3.036  DISP         {[S32]}
  3.037  MATH         @Success = 0
  3.038  END
  3.039  ENDIF

# Calculate the offset into the DX file to find the level
# associated with the offset frequency, and read the value.
  3.040  MATH         L[1] = FEnd - @MG369XB_PN9000_Result_FOffset
  3.041  MATH         Index = CRND(370 * L[1] / (FEnd - FStart),1) + 32

  3.042  MATH         MEM = READ(FileName, Index)
  3.043  MATH         @MG369XB_PN9000_Result_Value = MEM
  3.044  MATH         @Success = 1

  3.045  END

  3.046  EVAL   Increment step number

# =====  Sub MG369XB Get Max PN9000 Result  ================================

  4.001  LABEL        GETMAX

#  Get the file parms based on the start and stop frequency offsets.
  4.002  MATH         @FreqOffset = @MG369XB_PN9000_Result_FStart
  4.003  CALL         Sub MG369XB Get PN File Parms

  4.004  IF           @Success
  4.005  MATH         startFileNum = @PN_DecadeNum
  4.006  MATH         startFStart = @FreqStart
  4.007  MATH         startFEnd = @FreqStop

  4.008  MATH         @FreqOffset = @MG369XB_PN9000_Result_FStop
  4.009  CALL         Sub MG369XB Get PN File Parms
  4.010  ENDIF

  4.011  IF           @Success
  4.012  MATH         stopFileNum = @PN_DecadeNum
  4.013  MATH         stopFStart = @FreqStart
  4.014  MATH         stopFEnd = @FreqStop
  4.015  ELSE
  4.016  MATH         S[30] = "Error in \"" & PROC()  & "\""
  4.017  MATH         S[31] = "Can't get PN9000 file parameters."
  4.018  MATH         S[32] = "At Test Frequency: "
  4.019  MATH         S[32] = S[32] & @MG369XB_PN9000_Result_TestFreq
  4.020  DISP         {[S30]}
  4.020  DISP         {[S31]}
  4.020  DISP         {[S32]}
  4.021  MATH         @Success = 0
  4.022  END
  4.023  ENDIF

  4.024  MATH         FileNum = startFileNum
  4.025  MATH         L[1] = startFEnd - @MG369XB_PN9000_Result_FStart
  4.026  MATH         L[2] = startFEnd - startFStart
  4.027  MATH         startIndex = CRND(370 * L[1] / L[2],1) + 32
  4.028  MATH         L[1] = stopFEnd - @MG369XB_PN9000_Result_FStop
  4.029  MATH         L[2] = stopFEnd - stopFStart
  4.030  MATH         stopIndex = CRND(370 * L[1] / L[2],1) + 32

# Create the path to the PN files.
# The directory name is based on the test frequency.
  4.031  MATH         S[1] = @MG369XB_PN9000_Result_Location
  4.032  MATH         S[2] = @MG369XB_PN9000_Result_TestFreq
  4.033  MATH         S[2] = REPL(".", "_", S[2])
  4.034  MATH         S[2] = REPL(" ", "", S[2])
  4.035  MATH         filepath = S[1] & "\\" & S[2] & "\\"

# Set the initial value for the MAX to something smaller than
# any possible result.
  4.036  MATH         @MG369XB_PN9000_Result_Max = -10000
  4.037  MATH         Index = startIndex

  4.038  DO

  4.039  MATH         FileName = filepath & "D" & FileNum
  4.040  MATH         FileName = FileName & @MG369XB_PN9000_Result_Type

# Make sure the file exists before trying to read it.
  4.041  IF           NOT(EXISTS(FileName))
  4.042  MATH         S[30] = "Error in \"" & PROC()  & "\""
  4.043  MATH         S[31] = FileName & " does not exist."
  4.044  DISP         {[S30]}
  4.044  DISP         {[S31]}
  4.045  MATH         @Success = 0
  4.046  END
  4.047  ENDIF

# Check if there was data collected in this frequency range.  The file
# should have 441 lines of which 370 are data in which we are interested.
  4.048  MATH         L[1] = LINECOUNT(FileName)

  4.049  IF           L[1] != 441
  4.050  MATH         S[30] = "Error in \"" & PROC()  & "\""
  4.051  MATH         S[31] = FileName & " is the wrong size."
  4.052  MATH         S[32] = "It should contain 441 lines but contains: "
  4.053  MATH         S[32] = S[32] & L[1]
  4.054  DISP         {[S30]}
  4.054  DISP         {[S31]}
  4.054  DISP         {[S32]}
  4.055  MATH         @Success = 0
  4.056  END
  4.057  ENDIF

  4.058  DO

  4.059  MATH         M[1] = READ(FileName, Index)

  4.060  IF           M[1] > @MG369XB_PN9000_Result_Max
  4.061  MATH         @MG369XB_PN9000_Result_Max = M[1]
  4.062  ENDIF

  4.063  MATH         Index = Index - 1
  4.064  MATH         Done = Index < stopIndex && FileNum == stopFileNum
  4.065  UNTIL        Index == 31 || Done

  4.066  MATH         FileNum = FileNum + 1
  4.067  MATH         Index = 401

  4.068  UNTIL        Done

  4.069  MATH         @Success = 1

  4.070  END
